<?php @session_start();
@error_reporting(E_ERROR | E_WARNING | E_PARSE);
/**
 * Plugin Name: ARSocial Lite
 * Plugin URI: http://arsocial.arformsplugin.com/
 * Description: ARSocial is all in one plugin to achieve features like Social Share, Social Locker, Like/Follow/Subscribe and Fan Counter.
 * Version: 1.0.1
 * Author: Repute Infosystems
 * Author URI: http://www.reputeinfosystems.com
 */
/**
 * Define Plugin URL
 * 
 * @since v1.0
 */
if (is_ssl()) {
    define('ARSOCIAL_LITE_URL', str_replace('http://', 'https://', WP_PLUGIN_URL . '/social-share-and-social-locker-arsocial'));
} else {
    define('ARSOCIAL_LITE_URL', WP_PLUGIN_URL . '/social-share-and-social-locker-arsocial');
}

/**
 * Defining CONSTANT Variables and Plugin Textdomain
 * 
 * @since v1.0
 */
define('ARSOCIAL_LITE_DIR', WP_PLUGIN_DIR . '/social-share-and-social-locker-arsocial');
define('ARSOCIAL_LITE_CORE_DIR', ARSOCIAL_LITE_DIR . '/core');
define('ARSOCIAL_LITE_CSS_DIR', ARSOCIAL_LITE_DIR . '/css');
define('ARSOCIAL_LITE_JS_DIR', ARSOCIAL_LITE_DIR . '/js');
define('ARSOCIAL_LITE_INC_DIR', ARSOCIAL_LITE_DIR . '/inc');
define('ARSOCIAL_LITE_IMAGE_DIR', ARSOCIAL_LITE_DIR . '/images');
define('ARSOCIAL_LITE_CSS_URL', ARSOCIAL_LITE_URL . '/css');
define('ARSOCIAL_LITE_SCRIPT_URL', ARSOCIAL_LITE_URL . '/js');
define('ARSOCIAL_LITE_IMAGES_URL', ARSOCIAL_LITE_URL . '/images');
define('ARSOCIAL_LITE_CLASS_DIR', ARSOCIAL_LITE_CORE_DIR . '/classes');
define('ARSOCIAL_LITE_VIEWS_DIR', ARSOCIAL_LITE_CORE_DIR . '/views');
define('ARSOCIAL_LITE_THEME_CSS_DIR', ARSOCIAL_LITE_CSS_DIR . '/themes');
define('ARSOCIAL_LITE_THEME_CSS_URL', ARSOCIAL_LITE_CSS_URL . '/themes');

define('ARSOCIAL_LITE_TXT_DOMAIN', 'arsocial_lite');

/**
 * Defining GLOBAL variables
 * 
 * @since v1.0
 */
global $arsocial_lite_version;
$arsocial_lite_version = '1.0.1';

global $arsocial_lite;
$arsocial_lite = new ARSocial_Lite();

global $ars_lite_default_networks;

global $arsocial_lite_forms;
if (file_exists(ARSOCIAL_LITE_CLASS_DIR . '/class.ars_share.php')) {
    include ARSOCIAL_LITE_CLASS_DIR . '/class.ars_share.php';
    $arsocial_lite_forms = new ARSocial_Lite_Form();
}

global $arsocial_lite_counter;
if (file_exists(ARSOCIAL_LITE_CLASS_DIR . '/class.ars_counter.php')) {
    include ARSOCIAL_LITE_CLASS_DIR . '/class.ars_counter.php';
    $arsocial_lite_counter = new ARSocial_Lite_Counter();
}

global $arsocial_lite_locker;
if (file_exists(ARSOCIAL_LITE_CLASS_DIR . '/class.ars_locker.php')) {
    include(ARSOCIAL_LITE_CLASS_DIR . '/class.ars_locker.php');
    $arsocial_lite_locker = new ARSocial_Lite_Locker();
}

global $arsocial_lite_like;
if (file_exists(ARSOCIAL_LITE_CLASS_DIR . '/class.ars_like.php')) {
    include(ARSOCIAL_LITE_CLASS_DIR . '/class.ars_like.php');
    $arsocial_lite_like = new ARSocial_Lite_LikeForm();
}

global $arsocial_lite_fan;
if (file_exists(ARSOCIAL_LITE_CLASS_DIR . '/class.ars_fan_counter.php')) {
    include(ARSOCIAL_LITE_CLASS_DIR . '/class.ars_fan_counter.php');
    $arsocial_lite_fan = new ARSocial_Lite_Fan();
}

global $arsocial_lite_api_url, $arsocial_lite_plugin_slug, $wp_version, $ars_lite_has_total_counter;
$ars_lite_has_total_counter = false;

/**
 * Set Google Font URL.
 */
global $ars_lite_googlefontbaseurl;
if (is_ssl()) {
    $ars_lite_googlefontbaseurl = "https://fonts.googleapis.com/css?family=";
} else {
    $ars_lite_googlefontbaseurl = "http://fonts.googleapis.com/css?family=";
}
/**
 * Define Global Variables for Google+ API URL & Version
 * 
 * @since v1.0
 */
global $ars_lite_google_plus_api_url, $ars_lite_google_plus_api_version;
$ars_lite_google_plus_api_url = 'https://www.googleapis.com/plus/';
$ars_lite_google_plus_api_version = 'v1';

/**
 * Define Global Variables for Facebook API URL & Version
 * 
 * @since v1.0
 */
global $ars_lite_fb_api_url, $ars_lite_fb_api_version;

$ars_lite_fb_api_url = 'https://graph.facebook.com/';
$ars_lite_fb_api_version = 'v2.5';

/**
 * Define Global Variables for Linkedin API URL & Version
 * 
 * @since v1.0
 */
global $ars_lite_linkedin_api_url, $ars_lite_linkedin_api_version;

$ars_lite_linkedin_api_url = 'https://api.linkedin.com/';
$ars_lite_linkedin_api_version = 'v1';

/**
 * Define Global Variables for Instagram API URL & Version
 * 
 * @since v1.0
 */
global $ars_lite_instagram_api_url, $ars_lite_instagram_api_version;
$ars_lite_instagram_api_url = 'https://api.instagram.com/';
$ars_lite_instagram_api_version = 'v1';



/**
 * Define Global Variables for Youtube API URL & Version
 * 
 * @since v1.0
 */
global $ars_lite_youtube_api_url, $ars_lite_youtube_api_version;
$ars_lite_youtube_api_url = 'https://www.googleapis.com/youtube/';
$ars_lite_youtube_api_version = 'v3';

/**
 * Define Global Variables for Dribbble API URL & Version
 * 
 * @since v1.0
 */
global $ars_lite_dribbble_api_url, $ars_lite_dribbble_api_version;
$ars_lite_dribbble_api_url = 'https://api.dribbble.com/';
$ars_lite_dribbble_api_version = 'v1';

/**
 * Define Global Variables for VK API URL & Version
 * 
 * @since v1.0
 */
global $ars_lite_vk_api_url;
$ars_lite_vk_api_url = 'https://api.vk.com/';

/**
 * Define Global Variables for Foursquare API URL & Version
 * 
 * @since v1.0
 */
global $ars_lite_foursquare_api_url, $ars_lite_foursquare_api_version;
$ars_lite_foursquare_api_url = 'https://api.foursquare.com/';
$ars_lite_foursquare_api_version = 'v2';

/**
 * Define Global Variables for Delicious API URL & Version
 * 
 * @since v1.0
 */
global $ars_lite_delicious_api_url, $ars_lite_delicious_api_version;
$ars_lite_delicious_api_url = 'http://feeds.delicious.com/';
$ars_lite_delicious_api_version = 'v2';

/**
 * Define Global Variables for Github API URL
 * 
 * @since v1.0
 */
global $ars_lite_github_api_url;
$ars_lite_github_api_url = 'https://api.github.com/';

/**
 * Define Global Variables for Pinterst API URL
 * 
 * @since v1.0
 */
global $ars_lite_pinterest_api_url, $ars_lite_pinterest_api_version;
$ars_lite_pinterest_api_url = 'https://api.pinterest.com/';
$ars_lite_pinterest_api_version = 'v1';

/**
 * Define Global Variables for SoundCloud API URL 
 * 
 * @since v1.0
 */
global $ars_lite_soundcloud_api_url;
$ars_lite_soundcloud_api_url = 'http://api.soundcloud.com/';

/**
 * Define Global Variables for flickr API URL 
 * 
 * @since v1.0
 */
global $ars_lite_flickr_api_url;
$ars_lite_flickr_api_url = 'https://api.flickr.com/';

/**
 * Define Global Variables for Bitly API URL and version
 * 
 * @since v1.0
 */
global $ars_lite_bitly_api_url, $ars_lite_bitly_api_version;
$ars_lite_bitly_api_url = 'https://api-ssl.bitly.com/';
$ars_lite_bitly_api_version = 'v3';


/**
 * Define Global Variables for Vimeo API URL & Version
 * 
 * @since v1.0
 */
global $ars_lite_vimeo_api_url, $ars_lite_vimeo_api_url_chanel, $ars_lite_vimeo_api_version;
$ars_lite_vimeo_api_url = 'https://api.vimeo.com';
$ars_lite_vimeo_api_url_chanel = 'http://vimeo.com/api/';
$ars_lite_vimeo_api_version = 'v2';

global $ars_lite_is_plugin_debug;
$ars_lite_is_plugin_debug = 0;

/**
 * ARSocial Lite Main Class
 * 
 * @since v1.0
 */
class ARSocial_Lite {

    var $socialshare_main_page_slug = "arsocial_lite";
    var $socialshare_setting_page_slug = "arsocial-lite-display-settings";
    var $socialshare_shortcode_page_slug = "arsocial-lite-shortcode-generator";
    var $socialshare_locker_page_slug = "arsocial-lite-social-locker";
    var $socialshare_global_setting_page_slug = "arsocial-lite-global-settings";
    var $socialshare_like_page_slug = "arsocial-lite-like";
    var $socialshare_fan_counter_slug = "arsocial-lite-fan-counter";
    var $socialshare_display_setting_page_slug = "arsocial-lite-share-display-setting";
    var $socialshare_analytics_page_slug = "arsocial-lite-share-analytics";
    var $socialshare_locker_display_setting_page_slug = "arsocial-lite-locker-display-setting";
    var $socialshare_like_display_setting_page_slug = "arsocial-lite-like-display-setting";
    var $socialshare_fan_display_setting_page_slug = "arsocial-lite-fan-display-setting";
    var $socialshare_social_locker_analytics_slug = "arsocial-lite-locker-analytics";
    var $socialshare_social_fan_analytics_slug = "arsocial-lite-fan-analytics";
    var $socialshare_upgrade_to_premium_slug = "arsocial-lite-upgrade-to-premium";

    /**
     * ARSocailShare Plugin Main Class Constructor
     * 
     * @since v1.0
     */
    function __construct() {
        register_activation_hook(__FILE__, array('ARSocial_Lite', 'ARSocial_Lite_Installer'));
        register_uninstall_hook(__FILE__, array('ARSocial_Lite', 'ARSocial_Lite_Uninstaller'));
        register_activation_hook(__FILE__, array('ARSocial_Lite', 'arsocial_lite_check_network_activation'));

        add_action('admin_init', array(&$this, 'ARSocial_Lite_CheckDB'));
        add_action('plugins_loaded', array(&$this, 'ARSocial_Lite_Load_TextDomain'));
        add_action('admin_menu', array(&$this, 'ARSocial_Lite_Menu'));
        add_filter('admin_footer_text', array(&$this, 'ARSocial_Lite_Remove_Footer'));
        add_filter('update_footer', array(&$this, 'ARSocial_Lite_Remove_Footer_Version'), '1234');
        add_action('admin_head', array(&$this, 'ARSocial_Lite_Remove_Notice'), 10000);
        add_action('init', array(&$this, 'arsocial_lite_settings'));
        add_action('arsocial_lite_show_networks', array(&$this, 'ARSocial_Lite_Plugin_Display_Networks'));
        add_action('arsocial_lite_display_sharing_settings', array(&$this, 'ARSocial_Lite_Plugin_Display_Sharing_Settings'));
        add_action('arsocial_lite_show_settings', array(&$this, 'ARSocial_Lite_Plugin_Display_Settings'));
        add_action('arsocial_lite_show_shortcode', array(&$this, 'ARSocial_Lite_Plugin_Shortcode_Generator'));

        add_action('arsocial_lite_locker_page', array(&$this, 'ARSocial_Lite_Plugin_Social_Locker'));
        add_action('arsocial_lite_display_locker_settings', array(&$this, 'ARSocial_Lite_Plugin_Social_Locker_Display_Settings'));
        add_action('arsocial_lite_display_like_settings', array(&$this, 'ARSocial_Lite_Plugin_Social_Like_Display_Settings'));
        add_action('arsocial_lite_display_fan_settings', array(&$this, 'ARSocial_Lite_Plugin_Social_Fan_Display_Settings'));
        add_action('arsocial_lite_like_page', array(&$this, 'ARSocialSharePluginSocialLike'));
        add_action('arsocial_lite_fan_counter', array(&$this, 'ARSocialSharePluginSocialFanCounter'));
        add_action('arsocial_lite_share_analytics', array(&$this, 'ARSocial_Lite_Share_Analytics'));
        add_action('arsocial_lite_global_settings', array(&$this, 'ARSocialSharePluginSettings'));
        add_action('arsocial_lite_locker_analytics', array(&$this, 'ARSocial_Lite_Locker_Analytics'));
        add_action('arsocial_lite_fan_analytics', array(&$this, 'ARSocial_Lite_Fan_Analytics'));
        add_action('arsocial_lite_upgrade_to_premium', array(&$this, 'ARSocial_Lite_Upgrade_To_Premium'));

        add_action('admin_enqueue_scripts', array(&$this, 'ARSocial_Lite_Admin_CSS'), 10);
        add_action('admin_enqueue_scripts', array(&$this, 'ARSocial_Lite_Admin_JS'), 10);

        add_action('wp_head', array(&$this, 'ARSocial_Lite_Front_CSS'), 1);
        add_action('wp_head', array(&$this, 'ARSocial_Lite_Front_JS'), 1);


        add_action('wp_head', array(&$this, 'ars_lite_enqueue_js_css'), 1, 1);
        add_action('wp_head', array(&$this, 'ARSocial_Lite_Front_Assets'), 1, 0);

        add_filter('cron_schedules', array(&$this, 'arsocial_lite_set_schedule_interval'));

        add_action('plugins_loaded', array(&$this, 'arsocial_lite_set_schedule'));
        add_action('arsocial_lite_load_cache', array(&$this, 'arsocial_lite_load_cache'));

        add_action('admin_head', array(&$this, 'ars_lite_menu_css'));

        add_action('wp_footer', array(&$this, 'ars_lite_footer_js_css'));
    }

    /**
     * ARSocial Lite Plugin Installer
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Installer() {
        global $wpdb, $arsocial_lite, $arsocial_lite_version;
        $arsociallite_version = get_option('arslite_version');
        if (!isset($arsociallite_version) || $arsociallite_version == '') {
            require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

            update_option('arslite_version', $arsocial_lite_version);

            $arsocial_lite->ARSocialShareInstallDefaultSettings();

            $arsocial_lite->ARSocialShareDefaultLikeOption();

            $charset_collate = '';

            if ($wpdb->has_cap('collation')) {

                if (!empty($wpdb->charset))
                    $charset_collate = "DEFAULT CHARACTER SET $wpdb->charset";

                if (!empty($wpdb->collate))
                    $charset_collate .= " COLLATE $wpdb->collate";
            }

            /**
             * Creating Table for Social Lite
             * 
             * @since v1.0
             */
            $network_table = $wpdb->prefix . 'arsocial_lite_networks';

            $network_table_query = "CREATE TABLE IF NOT EXISTS `$network_table` (
                `network_id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
                `network_settings` LONGTEXT NOT NULL ,
                `display_settings` TEXT NOT NULL ,
                `created_date` DATETIME NOT NULL ,
                `last_updated_date` DATETIME NOT NULL
            ){$charset_collate}";

            dbDelta($network_table_query);

            $table = $wpdb->prefix . "arsocial_lite_locker";

            /**
             * Creating Table for Social Locker.
             * 
             * @since v1.0
             */
            $query = "CREATE TABLE IF NOT EXISTS `$table` (
                `ID` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
                `lockername` varchar(255) NOT NULL,
                `content` longtext NOT NULL,
                `locker_type` varchar(20) NOT NULL,
                `locker_options` longtext NOT NULL,
                `created_date` datetime NOT NULL,
                `updated_date` datetime NOT NULL
            ){$charset_collate}";

            dbDelta($query);

            $like_table = $wpdb->prefix . "arsocial_lite_like";

            /**
             * Creating Table for Like Shortcode.
             * 
             * @since v1.0
             */
            $like_query = "CREATE TABLE IF NOT EXISTS `$like_table` (
                `ID` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
                `content` longtext NOT NULL,
                `display_type` varchar(20) NOT NULL,
                `created_date` datetime NOT NULL,
                `updated_date` datetime NOT NULL
            ){$charset_collate}";

            dbDelta($like_query);

            $fan_table = $wpdb->prefix . "arsocial_lite_fan";
            /**
             * Creating Table for Fan Counter.
             * 
             * @since v1.0
             */
            $fan_query = "CREATE TABLE IF NOT EXISTS `$fan_table` (
                `ID` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
                `content` longtext NOT NULL,
                `display_type` varchar(20) NOT NULL,
                `update_time` varchar(5) NOT NULL,
                `counter_data` longtext NOT NULL,
                `created_date` datetime NOT NULL,
                `updated_date` datetime NOT NULL
            ){$charset_collate}";

            dbDelta($fan_query);
        }
    }

    function ars_lite_menu_css() {
        ?>
        <style type="text/css">
            #adminmenu #toplevel_page_arsocial_lite .wp-menu-image img{
                padding-top:5px;
            }
            #adminmenu #toplevel_page_arsocial_lite .wp-submenu li:last-child a{
                color:#6bbc5b !important;
            }
            #adminmenu #toplevel_page_arsocial_lite .wp-submenu li:last-child a:hover,
            #adminmenu #toplevel_page_arsocial_lite .wp-submenu li:last-child a:focus{
                color:#7ad368 !important;
            }
        </style>
        <?php

    }

    function arsocial_lite_check_network_activation($network_wide) {
        if (!$network_wide)
            return;

        deactivate_plugins(plugin_basename(__FILE__), TRUE, TRUE);

        header('Location: ' . network_admin_url('plugins.php?deactivate=true'));
        exit;
    }

    /**
     * ARSocial Lite Plugin Unsinstaller
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Uninstaller() {
        global $wpdb;

        if (is_multisite()) {
            $blogs = $wpdb->get_results("SELECT blog_id FROM {$wpdb->blogs}", ARRAY_A);
            if ($blogs) {
                foreach ($blogs as $blog) {
                    switch_to_blog($blog['blog_id']);

                    $network_table = $wpdb->prefix . 'arsocial_lite_networks';

                    $table = $wpdb->prefix . "arsocial_lite_locker";
                    $like_table = $wpdb->prefix . "arsocial_lite_like";
                    $fan_table = $wpdb->prefix . "arsocial_lite_fan";

                    $wpdb->query("DROP TABLE IF EXISTS $network_table");
                    $wpdb->query("DROP TABLE IF EXISTS $table");
                    $wpdb->query("DROP TABLE IF EXISTS $like_table");
                    $wpdb->query("DROP TABLE IF EXISTS $fan_table");

                    delete_option('arslite_selected_theme');
                    delete_option('arslite_version');
                    delete_option('arslite_like');
                    delete_option('wp_arslite_time');
                    delete_option('arslite_fancounter_cron_ars_fan_global_settings');

                    delete_option('arslite_settings');
                    delete_option('arslite_locker_display_settings');
                    delete_option('arslite_like_display_settings');
                    delete_option('arslite_global_settings');
                    delete_option('arslite_fan_display_settings');

                    delete_option('arslite_networks_display_setting');
                    delete_option('arslite_sharing_locker_order');
                    delete_option('arslite_update_token');
                    delete_option('arslite_global_sharing_order');
                    delete_option('arslite_fan_counter_data_global');
                    delete_option('arslite_global_like_order');


                    $wpdb->query("DELETE FROM " . $wpdb->options . " WHERE option_name LIKE '%arslite%'");
                }
                restore_current_blog();
            }
        } else {

            $network_table = $wpdb->prefix . 'arsocial_lite_networks';

            $table = $wpdb->prefix . "arsocial_lite_locker";
            $like_table = $wpdb->prefix . "arsocial_lite_like";
            $fan_table = $wpdb->prefix . "arsocial_lite_fan";

            $wpdb->query("DROP TABLE IF EXISTS $network_table");
            $wpdb->query("DROP TABLE IF EXISTS $table");
            $wpdb->query("DROP TABLE IF EXISTS $like_table");
            $wpdb->query("DROP TABLE IF EXISTS $fan_table");

            delete_option('arslite_selected_theme');
            delete_option('arslite_version');
            delete_option('arslite_settings');
            delete_option('arslite_like');
            delete_option('wp_arslite_time');
            delete_option('arslite_fancounter_cron_ars_fan_global_settings');

            delete_option('arslite_settings');

            delete_option('arslite_locker_display_settings');
            delete_option('arslite_like_display_settings');
            delete_option('arslite_global_settings');
            delete_option('arslite_fan_display_settings');

            delete_option('arslite_networks_display_setting');
            delete_option('arslite_sharing_locker_order');
            delete_option('arslite_update_token');
            delete_option('arslite_global_sharing_order');
            delete_option('arslite_fan_counter_data_global');
            delete_option('arslite_global_like_order');

            $wpdb->query("DELETE FROM " . $wpdb->options . " WHERE option_name LIKE '%arslite%'");
        }
    }

    /**
     * ARSocial Lite Check DB Version
     * 
     * @since v1.0
     */
    function ARSocial_Lite_CheckDB() {
        global $arsocial_lite;
        $arsocialshare_plugin_version = get_option('arslite_version');
        if (!isset($arsocialshare_plugin_version) || $arsocialshare_plugin_version == '' || is_multisite()) {
            $arsocial_lite->ARSocial_Lite_Installer();
        }
    }

    /**
     * ARSocial Lite Load Plugin TextDomain
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Load_TextDomain() {
        load_plugin_textdomain(ARSOCIAL_LITE_TXT_DOMAIN, false, dirname(plugin_basename(__FILE__)) . '/languages/');
    }

    /**
     * ARSocial Lite Plugin Get Free Menu Position
     * 
     * @since v1.0
     */
    function arsocialshare_get_free_menu_position($start, $increment = 0.1) {
        foreach ($GLOBALS['menu'] as $key => $menu) {
            $menus_positions[] = floatval($key);
        }
        if (!in_array($start, $menus_positions)) {
            $start = strval($start);
            return $start;
        } else {
            $start += $increment;
        }

        while (in_array($start, $menus_positions)) {
            $start += $increment;
        }
        $start = strval($start);
        return $start;
    }

    /**
     * ARSocial Lite Defining Capabilities
     * 
     * @since v1.0
     */
    function ARSocialShareCapabilities() {
        $cap = array(
            'arsocial_lite_manage' => __('Manage Social Share Networks', ARSOCIAL_LITE_TXT_DOMAIN),
            'arsocia_lite_liike_manage' => __('Manage Social Like Networks', ARSOCIAL_LITE_TXT_DOMAIN),
            'arsocial_lite_fan_manage' => __('Manage Social Fan Counter Networks', ARSOCIAL_LITE_TXT_DOMAIN),
            'arsocial_lite_locker_manage' => __('Manage Social Locker', ARSOCIAL_LITE_TXT_DOMAIN),
            'arsocial_lite_manage_shortcode' => __('Add, Update and Delete Shortcode of Social Share, Like, Fan Counter and Locker', ARSOCIAL_LITE_TXT_DOMAIN),
            'arsocial_lite_analytics' => __('View Analytics of Social Share, Like, Fan counter and Locker', ARSOCIAL_LITE_TXT_DOMAIN),
            'arsocial_lite_settings' => __('Manage Global Settings like Social Configuration, Email Configuration etc', ARSOCIAL_LITE_TXT_DOMAIN)
        );

        return $cap;
    }

    /**
     * ARSocial Lite Plugin Menu
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Menu() {
        global $arsocial_lite;
        if (current_user_can('administrator')) {
            global $current_user;
            $arsshare_role = $this->ARSocialShareCapabilities();
            if (is_array($arsshare_role) && !empty($arsshare_role)) {
                foreach ($arsshare_role as $role => $role_description) {
                    $current_user->add_cap($role);
                }
                unset($role);
                unset($role_description);
            }
            unset($arsshare_role);
        }
        $menu_position = $this->arsocialshare_get_free_menu_position(26.1, 1);

        add_menu_page('ARSocialLite', 'ARSocial Lite', 'arsocial_lite_manage', $this->socialshare_main_page_slug, array(&$this, 'arsocialshareroute'), ARSOCIAL_LITE_IMAGES_URL . '/logo_24X24.png', $menu_position);
        add_submenu_page('arsocial_lite', 'Social Share Buttons', 'Social Share Buttons', 'arsocial_lite_manage', $this->socialshare_main_page_slug, array(&$this, 'arsocialshareroute'));
        add_submenu_page('arsocial_lite', 'Social Locker', 'Social Locker', 'arsocial_lite_locker_manage', $this->socialshare_locker_display_setting_page_slug, array(&$this, 'arsocialshareroute'));
        add_submenu_page('arsocial_lite', 'Social Like Buttons', 'Social Like Buttons', 'arsocia_lite_liike_manage', $this->socialshare_like_display_setting_page_slug, array(&$this, 'arsocialshareroute'));
        add_submenu_page('arsocial_lite', 'Social Fan Counter', 'Social Fan Counter', 'arsocial_lite_fan_manage', $this->socialshare_fan_display_setting_page_slug, array(&$this, 'arsocialshareroute'));
        add_submenu_page('arsocial_lite', 'Generate Shortcode', 'Generate Shortcode', 'arsocial_lite_manage_shortcode', $this->socialshare_shortcode_page_slug, array(&$this, 'arsocialshareroute'));
        add_submenu_page('arsocial_lite', 'Social Analytics', 'Social Analytics', 'arsocial_lite_analytics', $this->socialshare_analytics_page_slug, array(&$this, 'arsocialshareroute'));
        add_submenu_page('arsocial_lite', 'General Settings', 'General Settings', 'arsocial_lite_settings', $this->socialshare_global_setting_page_slug, array(&$this, 'arsocialshareroute'));
        $this->ARSocial_Lite_Upgrade_To_Premium();
    }

    function ARSocial_Lite_Upgrade_To_Premium() {
        if (file_exists(ARSOCIAL_LITE_VIEWS_DIR . '/ars_upgrade_to_premium.php'))
            include(ARSOCIAL_LITE_VIEWS_DIR . '/ars_upgrade_to_premium.php');
    }

    /**
     * ARSocialShare Plugin Route Function
     * 
     * @since v1.0
     */
    function arsocialshareroute() {

        if (isset($_REQUEST['page']) && $_REQUEST['page'] == $this->socialshare_main_page_slug) {
            do_action('arsocial_lite_show_networks');
        }

        if (isset($_REQUEST['page']) && $_REQUEST['page'] == $this->socialshare_display_setting_page_slug) {
            do_action('arsocial_lite_display_sharing_settings');
        }

        if (isset($_REQUEST['page']) && $_REQUEST['page'] == $this->socialshare_setting_page_slug) {
            do_action('arsocial_lite_show_settings');
        }

        if (isset($_REQUEST['page']) && $_REQUEST['page'] == $this->socialshare_shortcode_page_slug) {
            do_action('arsocial_lite_show_shortcode');
        }

        if (isset($_REQUEST['page']) && $_REQUEST['page'] == $this->socialshare_locker_page_slug) {
            do_action('arsocial_lite_locker_page');
        }

        if (isset($_REQUEST['page']) && $_REQUEST['page'] == $this->socialshare_social_locker_analytics_slug) {
            do_action('arsocial_lite_locker_analytics');
        }

        if (isset($_REQUEST['page']) && $_REQUEST['page'] == $this->socialshare_social_fan_analytics_slug) {
            do_action('arsocial_lite_fan_analytics');
        }

        if (isset($_REQUEST['page']) && $_REQUEST['page'] == $this->socialshare_global_setting_page_slug) {
            do_action('arsocial_lite_global_settings');
        }

        if (isset($_REQUEST['page']) && $_REQUEST['page'] == $this->socialshare_like_page_slug) {
            do_action('arsocial_lite_like_page');
        }

        if (isset($_REQUEST['page']) && $_REQUEST['page'] == $this->socialshare_fan_counter_slug) {
            do_action('arsocial_lite_fan_counter');
        }

        if (isset($_REQUEST['page']) && $_REQUEST['page'] == $this->socialshare_analytics_page_slug) {
            do_action('arsocial_lite_share_analytics');
        }

        if (isset($_REQUEST['page']) && $_REQUEST['page'] == $this->socialshare_locker_display_setting_page_slug) {
            do_action('arsocial_lite_display_locker_settings');
        }

        if (isset($_REQUEST['page']) && $_REQUEST['page'] == $this->socialshare_like_display_setting_page_slug) {
            do_action('arsocial_lite_display_like_settings');
        }
        if (isset($_REQUEST['page']) && $_REQUEST['page'] == $this->socialshare_fan_display_setting_page_slug) {
            do_action('arsocial_lite_display_fan_settings');
        }
        if (isset($_REQUEST['page']) && $_REQUEST['page'] == $this->socialshare_upgrade_to_premium_slug) {
            do_action('arsocial_lite_upgrade_to_premium');
        }
    }

    /**
     * ARSocial Lite Plugin Enqueue Admin CSS
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Admin_CSS() {
        global $arsocial_lite_version;
        wp_register_style('arsocial_lite_admin_css', ARSOCIAL_LITE_CSS_URL . '/arsocialshare.css', array(), $arsocial_lite_version);
        wp_register_style('arsocial_lite_effects_css', ARSOCIAL_LITE_CSS_URL . '/arsocialshare_effects.css', array(), $arsocial_lite_version);
        wp_register_style('arsocial_lite_font_icon_css', ARSOCIAL_LITE_CSS_URL . '/arsocialshareicons.css', array(), $arsocial_lite_version);
        wp_register_style('arsocial_lite_tipso_css', ARSOCIAL_LITE_CSS_URL . '/tipso.min.css', array(), $arsocial_lite_version);

        wp_register_style('arsocial_lite_socicon_admin_css', ARSOCIAL_LITE_CSS_URL . '/arsocialshareicons.css', array(), $arsocial_lite_version);

        wp_register_style('arsocial_lite_chosen_admin_css', ARSOCIAL_LITE_CSS_URL . '/chosen.min.css', array(), $arsocial_lite_version);


        if (isset($_REQUEST['page']) && ($_REQUEST['page'] === $this->socialshare_main_page_slug || $_REQUEST['page'] === $this->socialshare_setting_page_slug || $_REQUEST['page'] === $this->socialshare_shortcode_page_slug || $_REQUEST['page'] === $this->socialshare_locker_page_slug || $_REQUEST['page'] === $this->socialshare_global_setting_page_slug || $_REQUEST['page'] === $this->socialshare_like_page_slug || $_REQUEST['page'] === $this->socialshare_fan_counter_slug || $_REQUEST['page'] === $this->socialshare_display_setting_page_slug || $_REQUEST['page'] === $this->socialshare_analytics_page_slug || $_REQUEST['page'] === $this->socialshare_locker_display_setting_page_slug || $_REQUEST['page'] === $this->socialshare_like_display_setting_page_slug || $_REQUEST['page'] === $this->socialshare_fan_display_setting_page_slug || $_REQUEST['page'] === $this->socialshare_social_locker_analytics_slug || $_REQUEST['page'] === $this->socialshare_social_fan_analytics_slug )) {

            wp_enqueue_style('arsocial_lite_admin_css');
            wp_enqueue_style('arsocial_lite_font_icon_css');
            wp_enqueue_style('arsocial_lite_tipso_css');
            wp_enqueue_style('arsocial_lite_socicon_admin_css');
        }

        if (isset($_REQUEST['page']) && $_REQUEST['page'] === $this->socialshare_locker_display_setting_page_slug) {
            wp_enqueue_style('arsocial_lite_chosen_admin_css');
        }
        wp_enqueue_style('arsocial_lite_effects_css');
        if (isset($_REQUEST['page']) && in_array($_REQUEST['page'], array($this->socialshare_main_page_slug, $this->socialshare_shortcode_page_slug))) {

            wp_register_style('arsocial_lite_theme-square', ARSOCIAL_LITE_THEME_CSS_URL . '/arsocialshare_theme-square.css', array(), $arsocial_lite_version);
        }

        if (isset($_REQUEST['page']) && ($_REQUEST['page'] === $this->socialshare_main_page_slug)) {
            wp_enqueue_style('wp-color-picker');
        }
    }

    /**
     * ARSocialShare Plugin Enqueue Admin JavaScript
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Admin_JS() {
        global $arsocial_lite_version;
        wp_register_script('arsocial_lite_admin_js', ARSOCIAL_LITE_SCRIPT_URL . '/arsocialshare.js', array(), $arsocial_lite_version);
        wp_register_script('arsocial_lite_tipso_js', ARSOCIAL_LITE_SCRIPT_URL . '/tipso.min.js', array(), $arsocial_lite_version);

        wp_register_script('ars_lite_jeditable_js', ARSOCIAL_LITE_SCRIPT_URL . '/jeditable.min.js', array(), $arsocial_lite_version);
        wp_register_script('arsocial_lite_bpopup_script', ARSOCIAL_LITE_SCRIPT_URL . '/jquery.bpopup.min.js', array(), $arsocial_lite_version);
        wp_register_script('arsocial_lite_foggy_script', ARSOCIAL_LITE_SCRIPT_URL . '/jquery.foggy.min.js', array(), $arsocial_lite_version);
        wp_register_script('arsocial_lite_chosen_script', ARSOCIAL_LITE_SCRIPT_URL . '/chosen.jquery.min.js', array(), $arsocial_lite_version);

        if (isset($_REQUEST['page']) && ( $_REQUEST['page'] === $this->socialshare_main_page_slug || $_REQUEST['page'] === $this->socialshare_setting_page_slug || $_REQUEST['page'] === $this->socialshare_shortcode_page_slug || $_REQUEST['page'] === $this->socialshare_locker_page_slug || $_REQUEST['page'] === $this->socialshare_global_setting_page_slug || $_REQUEST['page'] === $this->socialshare_like_page_slug || $_REQUEST['page'] === $this->socialshare_fan_counter_slug || $_REQUEST['page'] === $this->socialshare_display_setting_page_slug || $_REQUEST['page'] === $this->socialshare_analytics_page_slug || $_REQUEST['page'] === $this->socialshare_locker_display_setting_page_slug || $_REQUEST['page'] === $this->socialshare_like_display_setting_page_slug || $_REQUEST['page'] === $this->socialshare_fan_display_setting_page_slug || $_REQUEST['page'] === $this->socialshare_social_locker_analytics_slug || $_REQUEST['page'] === $this->socialshare_social_fan_analytics_slug )) {

            wp_enqueue_script('arsocial_lite_admin_js');

            wp_enqueue_script('jquery');

            wp_enqueue_script('arsocial_lite_tipso_js');

            wp_enqueue_script('sack');

            wp_enqueue_script('arsocial_lite_bpopup_script');
        }

        if (isset($_REQUEST['page']) && in_array($_REQUEST['page'], array($this->socialshare_locker_display_setting_page_slug, $this->socialshare_shortcode_page_slug, $this->socialshare_locker_page_slug))) {
            wp_enqueue_script('arsocial_lite_foggy_script');
        }
        if (isset($_REQUEST['page']) && $_REQUEST['page'] === $this->socialshare_locker_display_setting_page_slug) {
            wp_enqueue_script('arsocial_lite_chosen_script');
        }

        if (isset($_REQUEST['page']) && ($_REQUEST['page'] === $this->socialshare_main_page_slug || $_REQUEST['page'] === $this->socialshare_like_display_setting_page_slug || $_REQUEST['page'] === $this->socialshare_fan_display_setting_page_slug || $_REQUEST['page'] == $this->socialshare_shortcode_page_slug)) {
            wp_enqueue_script('jquery-ui');
            wp_enqueue_script('jquery-ui-sortable');
        }

        if (isset($_REQUEST['page']) && ($_REQUEST['page'] === $this->socialshare_main_page_slug || $_REQUEST['page'] === $this->socialshare_shortcode_page_slug )) {
            wp_enqueue_script('ars_lite_jeditable_js');
        }

        if (isset($_REQUEST['page']) && ($_REQUEST['page'] === $this->socialshare_main_page_slug)) {
            wp_enqueue_script('arsocial_lite_admin_js_colpick', plugins_url('js/ars_colpick.js', __FILE__), array('wp-color-picker'), false, true);
        }
    }

    /**
     * ARSocialShare Plugin Remove Admin side notice
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Remove_Notice() {
        if (isset($_GET) and ( isset($_GET['page']) and preg_match('/arsocial_lite*/', $_GET['page']))) {
            remove_all_actions('network_admin_notices', 10000);
            remove_all_actions('user_admin_notices', 10000);
            remove_all_actions('admin_notices', 10000);
            remove_all_actions('all_admin_notices', 10000);
            remove_action('admin_notices', 'update_nag', 3);
        }
    }

    /**
     * ARSocialShare Plugin Remove Footer Thank You Text
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Remove_Footer() {
        echo '<span id="footer-thankyou"></span>';
    }

    /**
     * ARSocialShare Plugin Remove Footer Version
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Remove_Footer_Version() {
        return ' ';
    }

    /**
     * ARSocialShare Plugin Default Networks
     * 
     * @since v1.0
     */
    function ARSocialShareNetworks() {
        $socialsharenetwork = apply_filters('arsocial_lite_default_networks', array(
            'facebook' => 'Facebook',
            'twitter' => 'Twitter',
            'googleplus' => 'Google+',
            'pinterest' => 'Pinterest',
            'linkedin' => 'Linkedin'
        ));

        return $socialsharenetwork;
    }

    /**
     * ARSocialShare Plugin Settings
     * 
     * @since v1.0
     */
    function arsocial_lite_settings() {
        global $arsocial_lite, $ars_lite_default_networks;
        $ars_lite_default_networks = $this->ARSocialShareNetworks();
    }

    /**
     * ARSocialShare Plugin Social Networks Page
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Plugin_Display_Networks() {
        if (file_exists(ARSOCIAL_LITE_VIEWS_DIR . '/ars_share_setting.php')) {
            include(ARSOCIAL_LITE_VIEWS_DIR . '/ars_share_setting.php');
        }
    }

    function ARSocial_Lite_Plugin_Display_Sharing_Settings() {
        if (file_exists(ARSOCIAL_LITE_VIEWS_DIR . '/ars_share_setting.php')) {
            include(ARSOCIAL_LITE_VIEWS_DIR . '/ars_share_setting.php');
        }
    }

    /**
     * ARSocialShare Plugin Display Settings Page
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Plugin_Display_Settings() {
        if (file_exists(ARSOCIAL_LITE_VIEWS_DIR . '/ars_setting.php')) {
            include(ARSOCIAL_LITE_VIEWS_DIR . '/ars_setting.php');
        }
    }

    /**
     * ARSocialShare Plugin Shortcode Generator Page
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Plugin_Shortcode_Generator() {
        if (file_exists(ARSOCIAL_LITE_VIEWS_DIR . '/ars_shortcode.php')) {
            include(ARSOCIAL_LITE_VIEWS_DIR . '/ars_shortcode.php');
        }
    }

    /**
     * ARSocialShare Plugin Social Content Like Display Settings Page
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Plugin_Social_Like_Display_Settings() {
        if (file_exists(ARSOCIAL_LITE_VIEWS_DIR . '/ars_like_setting.php')) {
            include(ARSOCIAL_LITE_VIEWS_DIR . '/ars_like_setting.php');
        }
    }

    /**
     * ARSocialShare Plugin Social Content Fan Counter Display Settings Page
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Plugin_Social_Fan_Display_Settings() {
        if (file_exists(ARSOCIAL_LITE_VIEWS_DIR . '/ars_fan_counter_setting.php')) {
            include(ARSOCIAL_LITE_VIEWS_DIR . '/ars_fan_counter_setting.php');
        }
    }

    /**
     * ARSocialShare Plugin Social Content Locker Display Settings Page
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Plugin_Social_Locker_Display_Settings() {
        if (file_exists(ARSOCIAL_LITE_VIEWS_DIR . '/ars_locker_setting.php')) {
            include(ARSOCIAL_LITE_VIEWS_DIR . '/ars_locker_setting.php');
        }
    }

    /**
     * ARSocialShare Plugin Social Content Locker Page
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Plugin_Social_Locker() {
        if (file_exists(ARSOCIAL_LITE_VIEWS_DIR . '/ars_locker.php')) {
            include(ARSOCIAL_LITE_VIEWS_DIR . '/ars_locker.php');
        }
    }

    /**
     * ARSocialShare Plugin Global Setting Page
     * 
     * @since v1.0
     */
    function ARSocialSharePluginSettings() {
        if (file_exists(ARSOCIAL_LITE_VIEWS_DIR . '/ars_global_setting.php')) {
            include(ARSOCIAL_LITE_VIEWS_DIR . '/ars_global_setting.php');
        }
    }

    /**
     * ARSocialShare Plugin Locker Analytics Page
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Locker_Analytics() {
        if (file_exists(ARSOCIAL_LITE_VIEWS_DIR . '/ars_locker_analytics.php')) {
            include(ARSOCIAL_LITE_VIEWS_DIR . '/ars_locker_analytics.php');
        }
    }

    /**
     * ARSocialShare Plugin Locker Analytics Page
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Fan_Analytics() {
        if (file_exists(ARSOCIAL_LITE_VIEWS_DIR . '/ars_fan_analytics.php')) {
            include(ARSOCIAL_LITE_VIEWS_DIR . '/ars_fan_analytics.php');
        }
    }

    /**
     * ARSocialShare Plugin Social Like Page
     * 
     * @since v1.0
     */
    function ARSocialSharePluginSocialLike() {
        if (file_exists(ARSOCIAL_LITE_VIEWS_DIR . '/ars_like.php')) {
            include(ARSOCIAL_LITE_VIEWS_DIR . '/ars_like.php');
        }
    }

    function ARSocialSharePluginSocialFanCounter() {
        if (file_exists(ARSOCIAL_LITE_VIEWS_DIR . '/ars_fan_counter.php')) {
            include(ARSOCIAL_LITE_VIEWS_DIR . '/ars_fan_counter.php');
        }
    }

    function ARSocial_Lite_Share_Analytics() {
        if (file_exists(ARSOCIAL_LITE_VIEWS_DIR . '/ars_share_analytics.php')) {
            include(ARSOCIAL_LITE_VIEWS_DIR . '/ars_share_analytics.php');
        }
    }

    /**
     * ARSocialShare Plugin Install Default Settings
     * 
     * @since v1.0
     */
    function ARSocialShareInstallDefaultSettings() {
        $settings = array();
        $settings['networks'] = array();
        $settings['networks']['facebook'] = array(
            'enable' => true,
            'display_name' => 'Facebook',
            'display_order' => 0,
            'custom_name' => 'Facebook',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['twitter'] = array(
            'enable' => true,
            'display_name' => 'Twitter',
            'display_order' => 1,
            'custom_name' => 'Twitter',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['googleplus'] = array(
            'enable' => true,
            'display_name' => 'Google+',
            'display_order' => 2,
            'custom_name' => 'Google+',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['linkedin'] = array(
            'enable' => true,
            'display_name' => 'LinkedIn',
            'display_order' => 3,
            'custom_name' => 'LinkedIn',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['pinterest'] = array(
            'enable' => true,
            'display_name' => 'Pinterest',
            'display_order' => 4,
            'custom_name' => 'Pinterest',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['digg'] = array(
            'enable' => true,
            'display_name' => 'Digg',
            'display_order' => 5,
            'custom_name' => 'Digg',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['stumbleupon'] = array(
            'enable' => true,
            'display_name' => 'StumbleUpon',
            'display_order' => 6,
            'custom_name' => 'StumbleUpon',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['tumblr'] = array(
            'enable' => true,
            'display_name' => 'Tumblr',
            'display_order' => 7,
            'custom_name' => 'Tumblr',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['reddit'] = array(
            'enable' => true,
            'display_name' => 'Reddit',
            'display_order' => 8,
            'custom_name' => 'Reddit',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['buffer'] = array(
            'enable' => true,
            'display_name' => 'Buffer',
            'display_order' => 9,
            'custom_name' => 'Buffer',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['pocket'] = array(
            'enable' => true,
            'display_name' => 'Pocket',
            'display_order' => 10,
            'custom_name' => 'Pocket',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['xing'] = array(
            'enable' => true,
            'display_name' => 'Xing',
            'display_order' => 11,
            'custom_name' => 'Xing',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['odnoklassniki'] = array(
            'enable' => true,
            'display_name' => 'Odnoklassniki',
            'display_order' => 12,
            'custom_name' => 'Odnoklassniki',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['meneame'] = array(
            'enable' => true,
            'display_name' => 'Meneame',
            'display_order' => 13,
            'custom_name' => 'Meneame',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['blogger'] = array(
            'enable' => true,
            'display_name' => 'Blogger',
            'display_order' => 14,
            'custom_name' => 'Blogger',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['amazon'] = array(
            'enable' => true,
            'display_name' => 'Amazon',
            'display_order' => 15,
            'custom_name' => 'Amazon',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['hackernews'] = array(
            'enable' => true,
            'display_name' => 'Hacker News',
            'display_order' => 16,
            'custom_name' => 'Hacker News',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['evernote'] = array(
            'enable' => true,
            'display_name' => 'Evernote',
            'display_order' => 17,
            'custom_name' => 'Evernote',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['myspace'] = array(
            'enable' => true,
            'display_name' => 'MySpace',
            'display_order' => 18,
            'custom_name' => 'MySpace',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['viadeo'] = array(
            'enable' => true,
            'display_name' => 'Viadeo',
            'display_order' => 19,
            'custom_name' => 'Viadeo',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['flipboard'] = array(
            'enable' => true,
            'display_name' => 'Flipboard',
            'display_order' => 20,
            'custom_name' => 'Flipboard',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['yummly'] = array(
            'enable' => true,
            'display_name' => 'Yummly',
            'display_order' => 21,
            'custom_name' => 'Yummly',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['whatsapp'] = array(
            'enable' => true,
            'display_name' => 'Whatsapp',
            'display_order' => 22,
            'custom_name' => 'Whatspp',
            'plateform' => array(
                'mobile'
            )
        );
        $settings['networks']['box'] = array(
            'enable' => true,
            'display_name' => 'Box',
            'display_order' => 23,
            'custom_name' => 'Box',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['citeulike'] = array(
            'enable' => true,
            'display_name' => 'CiteuLike',
            'display_order' => 24,
            'custom_name' => 'CiteuLike',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['delicious'] = array(
            'enable' => true,
            'display_name' => 'Delicious',
            'display_order' => 25,
            'custom_name' => 'Delicious',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['gmail'] = array(
            'enable' => true,
            'display_name' => 'Gmail',
            'display_order' => 26,
            'custom_name' => 'Gmail',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['yahoo'] = array(
            'enable' => true,
            'display_name' => 'Yahoo',
            'display_order' => 27,
            'custom_name' => 'Yahoo',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['aol'] = array(
            'enable' => true,
            'display_name' => 'AOL',
            'display_order' => 28,
            'custom_name' => 'AOL',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['email'] = array(
            'enable' => true,
            'display_name' => 'Email',
            'display_order' => 29,
            'custom_name' => 'Email',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['vk'] = array(
            'enable' => true,
            'display_name' => 'VK',
            'display_order' => 30,
            'custom_name' => 'VK',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['arsprint'] = array(
            'enable' => true,
            'display_name' => 'Print',
            'display_order' => 31,
            'custom_name' => 'Print',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );

        $settings['theme'] = array();
        $settings['theme']['default'] = array(
            'enable' => true,
            'display_name' => 'Default'
        );

        $settings['theme']['rounded'] = array(
            'enable' => true,
            'display_name' => 'Rounded'
        );

        $settings['theme']['bordered'] = array(
            'enable' => true,
            'display_name' => 'Bordered'
        );

        $settings['theme']['flat_rounded'] = array(
            'enable' => true,
            'display_name' => 'Rounded Flat'
        );

        $settings = apply_filters('arsocial_lite_share_default_settings', $settings);

        $arsettings = maybe_serialize($settings);

        update_option('arslite_settings', $arsettings);
        update_option('arslite_selected_theme', 'default');
    }

    /**
     * Function for Default Networks
     * 
     * @since v1.0
     */
    function ARSocialShareDefaultNetworks() {
        $settings = array();
        $settings['networks'] = array();
        $settings['networks']['facebook'] = array(
            'enable' => true,
            'display_name' => 'Facebook',
            'display_order' => 0,
            'custom_name' => 'Facebook',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['twitter'] = array(
            'enable' => true,
            'display_name' => 'Twitter',
            'display_order' => 1,
            'custom_name' => 'Twitter',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['googleplus'] = array(
            'enable' => true,
            'display_name' => 'Google+',
            'display_order' => 2,
            'custom_name' => 'Google+',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['linkedin'] = array(
            'enable' => true,
            'display_name' => 'LinkedIn',
            'display_order' => 3,
            'custom_name' => 'LinkedIn',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['pinterest'] = array(
            'enable' => true,
            'display_name' => 'Pinterest',
            'display_order' => 4,
            'custom_name' => 'Pinterest',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['digg'] = array(
            'enable' => true,
            'display_name' => 'Digg',
            'display_order' => 5,
            'custom_name' => 'Digg',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['stumbleupon'] = array(
            'enable' => true,
            'display_name' => 'StumbleUpon',
            'display_order' => 6,
            'custom_name' => 'StumbleUpon',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['tumblr'] = array(
            'enable' => true,
            'display_name' => 'Tumblr',
            'display_order' => 7,
            'custom_name' => 'Tumblr',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['reddit'] = array(
            'enable' => true,
            'display_name' => 'Reddit',
            'display_order' => 8,
            'custom_name' => 'Reddit',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['buffer'] = array(
            'enable' => true,
            'display_name' => 'Buffer',
            'display_order' => 9,
            'custom_name' => 'Buffer',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['pocket'] = array(
            'enable' => true,
            'display_name' => 'Pocket',
            'display_order' => 10,
            'custom_name' => 'Pocket',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['xing'] = array(
            'enable' => true,
            'display_name' => 'Xing',
            'display_order' => 11,
            'custom_name' => 'Xing',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['odnoklassniki'] = array(
            'enable' => true,
            'display_name' => 'Odnoklassniki',
            'display_order' => 12,
            'custom_name' => 'Odnoklassniki',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['meneame'] = array(
            'enable' => true,
            'display_name' => 'Meneame',
            'display_order' => 13,
            'custom_name' => 'Meneame',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['blogger'] = array(
            'enable' => true,
            'display_name' => 'Blogger',
            'display_order' => 14,
            'custom_name' => 'Blogger',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['amazon'] = array(
            'enable' => true,
            'display_name' => 'Amazon',
            'display_order' => 15,
            'custom_name' => 'Amazon',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['hackernews'] = array(
            'enable' => true,
            'display_name' => 'Hacker News',
            'display_order' => 16,
            'custom_name' => 'Hacker News',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['evernote'] = array(
            'enable' => true,
            'display_name' => 'Evernote',
            'display_order' => 17,
            'custom_name' => 'Evernote',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['myspace'] = array(
            'enable' => true,
            'display_name' => 'MySpace',
            'display_order' => 18,
            'custom_name' => 'MySpace',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['viadeo'] = array(
            'enable' => true,
            'display_name' => 'Viadeo',
            'display_order' => 19,
            'custom_name' => 'Viadeo',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['flipboard'] = array(
            'enable' => true,
            'display_name' => 'Flipboard',
            'display_order' => 20,
            'custom_name' => 'Flipboard',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['yummly'] = array(
            'enable' => true,
            'display_name' => 'Yummly',
            'display_order' => 21,
            'custom_name' => 'Yummly',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['whatsapp'] = array(
            'enable' => true,
            'display_name' => 'Whatsapp',
            'display_order' => 22,
            'custom_name' => 'Whatspp',
            'plateform' => array(
                'mobile'
            )
        );
        $settings['networks']['box'] = array(
            'enable' => true,
            'display_name' => 'Box',
            'display_order' => 23,
            'custom_name' => 'Box',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['citeulike'] = array(
            'enable' => true,
            'display_name' => 'CiteuLike',
            'display_order' => 24,
            'custom_name' => 'CiteuLike',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['delicious'] = array(
            'enable' => true,
            'display_name' => 'Delicious',
            'display_order' => 25,
            'custom_name' => 'Delicious',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['gmail'] = array(
            'enable' => true,
            'display_name' => 'Gmail',
            'display_order' => 26,
            'custom_name' => 'Gmail',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );

        $settings['networks']['yahoo'] = array(
            'enable' => true,
            'display_name' => 'Yahoo',
            'display_order' => 27,
            'custom_name' => 'Yahoo',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['aol'] = array(
            'enable' => true,
            'display_name' => 'AOL',
            'display_order' => 28,
            'custom_name' => 'AOL',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['email'] = array(
            'enable' => true,
            'display_name' => 'Email',
            'display_order' => 29,
            'custom_name' => 'Email',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['vk'] = array(
            'enable' => true,
            'display_name' => 'VK',
            'display_order' => 30,
            'custom_name' => 'VK',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );
        $settings['networks']['arsprint'] = array(
            'enable' => true,
            'display_name' => 'Print',
            'display_order' => 31,
            'custom_name' => 'Print',
            'plateform' => array(
                'desktop',
                'mobile'
            )
        );

        $settings['networks']['sms'] = array(
            'enable' => true,
            'display_name' => 'SMS',
            'display_order' => 32,
            'custom_name' => 'SMS',
            'plateform' => array(
                'mobile'
            )
        );
        $settings['networks']['viber'] = array(
            'enable' => true,
            'display_name' => 'Viber',
            'display_order' => 33,
            'custom_name' => 'Viber',
            'plateform' => array(
                'mobile'
            )
        );

        /* Share Button Themes */
        $tdefault = array('enable' => true, 'display_name' => 'Flat');
        $trounded = array('enable' => true, 'display_name' => 'Circle');
        $tbordered = array('enable' => true, 'display_name' => 'Bordered');
        $tflat_rounded = array('enable' => true, 'display_name' => 'Rounded');
        $tblank_round = array('enable' => true, 'display_name' => 'Modern');
        $tsquare = array('enable' => true, 'display_name' => 'Classic');
        $trolling = array('enable' => true, 'display_name' => 'Rolling');

        $settings['theme'] = array(
            'default' => $tdefault,
            'rounded' => $trounded,
            'bordered' => $tbordered,
            'flat_rounded' => $tflat_rounded,
            'blank_round' => $tblank_round,
            'square' => $tsquare,
        );
        /* Sidebar Themes */
        $settings['sidebar_theme'] = array(
            'default' => $tdefault,
            'bordered' => $tbordered,
            'square' => $tsquare,
            'rolling' => $trolling,
        );

        /* Effects */
        $effect1 = array('enable' => true, 'display_name' => 'Rotate');
        $effect2 = array('enable' => true, 'display_name' => 'Fade');
        $effect3 = array('enable' => true, 'display_name' => 'Move up');
        $pulse = array('enable' => true, 'display_name' => 'Pulse');
        $pop = array('enable' => true, 'display_name' => 'Pop');
        $wobble_h = array('enable' => true, 'display_name' => 'Shake1');
        $wobble_v = array('enable' => true, 'display_name' => 'Shake2');
        $buzz_out = array('enable' => true, 'display_name' => 'Buzz Out');

        $settings['effect'] = array(
            'effect1' => $effect1,
            'effect2' => $effect2,
            'effect3' => $effect3,
            'pulse' => $pulse,
            'pop' => $pop,
            'wobble_h' => $wobble_h,
            'wobble_v' => $wobble_v,
            'buzz_out' => $buzz_out,
        );
        /* Sidebar Effects */
        $settings['sidebar_effect'] = array(
            'effect1' => $effect1,
            'effect2' => $effect2,
            'pulse' => $pulse,
            'pop' => $pop,
            'buzz_out' => $buzz_out,
        );

        $settings = apply_filters('arsocial_lite_share_default_settings', $settings);

        return $settings;
    }

    /**
     * Function for Default Themes for Social Locker
     * 
     * @since v1.0
     */
    function ARSocialShareLockerThemes() {

        $arsociallocker_themes = apply_filters('arsocial_lite_locker_theme', array(
            'Default' => array(
                'value' => 'default',
            //'url' => ARSOCIAL_LITE_IMAGES_URL . '/locker_starter_theme.png'
            ),
            'Flat' => array(
                'value' => 'secret',
            //'url' => ARSOCIAL_LITE_IMAGES_URL . '/locker_basic_theme.png'
            ),
            'Glass' => array(
                'value' => 'glass',
            //'url' => ARSOCIAL_LITE_IMAGES_URL . '/locker_basic_theme.png'
            ),
            'Fancy' => array(
                'value' => 'flat',
            //'url' => ARSOCIAL_LITE_IMAGES_URL . '/locker_basic_theme.png'
            ),
            'Zip' => array(
                'value' => 'zip',
            //'url' => ARSOCIAL_LITE_IMAGES_URL . '/locker_basic_theme.png'
            ),
        ));

        return $arsociallocker_themes;
    }

    /**
     * Function for Default Networks For Fan Counter
     * 
     * @since v1.0
     */
    function ARSocialShareFancounterNetworks() {

        $settings = array();
        $settings = array(
            'facebook' => array(
                'display_name' => 'Facebook',
                'network_url' => 'https://www.facebook.com/'
            ),
            'twitter' => array(
                'display_name' => 'Twitter',
                'network_url' => 'https://www.twitter.com/'
            ),
            'google_plus' => array(
                'display_name' => 'Google Plus',
                'network_url' => 'https://plus.google.com/'
            ),
            'linkedin' => array(
                'display_name' => 'Linkedin',
                'network_url' => 'https://www.linkedin.com/profile/view?id='
            ),
            'pinterest' => array(
                'display_name' => 'Pinterest',
                'network_url' => 'https://www.pinterest.com/'
            ),
            'vimeo' => array(
                'display_name' => 'Vimeo',
                'network_url' => 'https://www.vimeo.com/'
            ),
            'instagram' => array(
                'display_name' => 'Instagram',
                'network_url' => 'https://www.instagram.com/'
            ),
            'youtube' => array(
                'display_name' => 'Youtube',
                'network_url' => 'https://www.youtube.com/'
            ),
            'dribbble' => array(
                'display_name' => 'Dribbble',
                'network_url' => 'https://www.dribbble.com/'
            ),
            'vk' => array(
                'display_name' => 'VKontake',
                'network_url' => 'https://www.vk.com/'
            ),
            'foursquare' => array(
                'display_name' => 'Foursquare',
                'network_url' => 'https://foursquare.com/user/'
            ),
            'github' => array(
                'display_name' => 'Github',
                'network_url' => 'https://www.github.com/'
            ),
            'delicious' => array(
                'display_name' => 'Delicious',
                'network_url' => 'https://www.delicious.com/'
            ),
            'soundcloud' => array(
                'display_name' => 'SoundCloud',
                'network_url' => 'https://soundcloud.com/'
            ),
            'vine' => array(
                'display_name' => 'Vine',
                'network_url' => 'https://vine.co/u/'
            ),
            'tumblr' => array(
                'display_name' => 'Tumblr',
                'network_url' => 'https://www.tumblr.com/blog/'
            ),
            'flickr' => array(
                'display_name' => 'flickr',
                'network_url' => 'https://www.flickr.com/groups/'
            ),
        );

        $settings = apply_filters('arsocial_lite_fan_counter_network', $settings);

        return $settings;
    }

    /**
     * Function for Default Networks Options For Fan Counter
     * 
     * @since v1.0
     */
    function ARSocialShareDefaultNetworksFanCounter() {

        $settings = array();
        $settings['facebook'] = array(
            'account_type' => array(
                'page' => __('Page', ARSOCIAL_LITE_TXT_DOMAIN),
                'profile' => __('User Profile', ARSOCIAL_LITE_TXT_DOMAIN),
            )
        );

        $settings['google_plus'] = array(
            'display_value_type' => array(
                'circledByCount+plusOneCount' => __('circledByCount+plusOneCount', ARSOCIAL_LITE_TXT_DOMAIN),
                'circledByCount' => __('circledByCount', ARSOCIAL_LITE_TXT_DOMAIN),
                'plusOneCount' => __('plusOneCount', ARSOCIAL_LITE_TXT_DOMAIN),
            )
        );

        $settings['linkedin'] = array(
            'account_type' => array(
                'page' => __('Company Page', ARSOCIAL_LITE_TXT_DOMAIN),
                'profile' => __('User Profile', ARSOCIAL_LITE_TXT_DOMAIN),
            )
        );

        $settings['vimeo'] = array(
            'account_type' => array(
                'channel' => __('Channel', ARSOCIAL_LITE_TXT_DOMAIN),
                'user' => __('User', ARSOCIAL_LITE_TXT_DOMAIN),
            )
        );

        $settings['youtube'] = array(
            'account_type' => array(
                'channel' => __('Channel', ARSOCIAL_LITE_TXT_DOMAIN),
                'user' => __('User', ARSOCIAL_LITE_TXT_DOMAIN),
            )
        );

        $settings['vk'] = array(
            'account_type' => array(
                'community' => __('Community', ARSOCIAL_LITE_TXT_DOMAIN),
                'profile' => __('Profile', ARSOCIAL_LITE_TXT_DOMAIN),
            )
        );

        $settings['display_style'] = array(
            'display_style' => array(
                'metro' => __('Flat', ARSOCIAL_LITE_TXT_DOMAIN),
                'round_color_icons' => __('Rounded', ARSOCIAL_LITE_TXT_DOMAIN),
                'flat' => __('Classic', ARSOCIAL_LITE_TXT_DOMAIN),
                'modern' => __('Soft', ARSOCIAL_LITE_TXT_DOMAIN),
                'dark' => __('Soft (Black)', ARSOCIAL_LITE_TXT_DOMAIN),
                'color_icons' => __('Clean', ARSOCIAL_LITE_TXT_DOMAIN),
                'grey_icons' => __('Clean (Grey)', ARSOCIAL_LITE_TXT_DOMAIN),
                'outline_color_icons' => __('Circle', ARSOCIAL_LITE_TXT_DOMAIN),
            )
        );

        $settings['counter_number_format'] = array(
            'counter_number_format' => array(
                'style1' => __('1000, 10000', ARSOCIAL_LITE_TXT_DOMAIN),
                'style2' => __('1.000, 10.000', ARSOCIAL_LITE_TXT_DOMAIN),
                'style3' => __('1,000, 10,000', ARSOCIAL_LITE_TXT_DOMAIN),
                'style4' => __('1 000, 10 000', ARSOCIAL_LITE_TXT_DOMAIN),
                'style5' => __('1k, 10k, 100k, 1m', ARSOCIAL_LITE_TXT_DOMAIN),
            )
        );


        $settings = apply_filters('arsocial_lite_fan_counter_setting', $settings);

        return $settings;
    }

    /**
     * Function for Default Networks Like Option
     * 
     * @since v1.0
     */
    function ARSocialShareDefaultLikeNetworks() {
        $like_network = array();
        $like_network = array(
            'facebook' => array(
                'facebook_button_layout' => array(
                    'standard' => __('Standard', ARSOCIAL_LITE_TXT_DOMAIN),
                    'box_count' => __('Box Count', ARSOCIAL_LITE_TXT_DOMAIN),
                    'button_count' => __('Button Count', ARSOCIAL_LITE_TXT_DOMAIN),
                    'button' => __('Button', ARSOCIAL_LITE_TXT_DOMAIN)
                ),
                'facebook_like_button_action_type' => array(
                    'like' => __('Like', ARSOCIAL_LITE_TXT_DOMAIN),
                    'recommend' => __('Recommend', ARSOCIAL_LITE_TXT_DOMAIN)
                ),
                'facebook_like_button_colorscheme' => array(
                    'light' => __('Light', ARSOCIAL_LITE_TXT_DOMAIN),
                    'dark' => __('Dark', ARSOCIAL_LITE_TXT_DOMAIN),
                )
            ),
            'facebook_follow' => array(
                'facebook_follow_button_layout' => array(
                    'standard' => __('Standard', ARSOCIAL_LITE_TXT_DOMAIN),
                    'box_count' => __('Box Count', ARSOCIAL_LITE_TXT_DOMAIN),
                    'button_count' => __('Button Count', ARSOCIAL_LITE_TXT_DOMAIN),
                    'button' => __('Button', ARSOCIAL_LITE_TXT_DOMAIN)
                ),
                'facebook_follow_like_button_colorscheme' => array(
                    'light' => __('Light', ARSOCIAL_LITE_TXT_DOMAIN),
                    'dark' => __('Dark', ARSOCIAL_LITE_TXT_DOMAIN),
                )
            ),
            'googleplus' => array(
                'googleplus_like_button_size' => array(
                    'small' => __('Small', ARSOCIAL_LITE_TXT_DOMAIN),
                    'medium' => __('Medium', ARSOCIAL_LITE_TXT_DOMAIN),
                    'standard' => __('Standard', ARSOCIAL_LITE_TXT_DOMAIN),
                    'tall' => __('Tall', ARSOCIAL_LITE_TXT_DOMAIN)
                ),
                'googleplus_like_button_parse_tags' => array(
                    'Default' => __('Default', ARSOCIAL_LITE_TXT_DOMAIN),
                    'Explicit' => __('Explicit', ARSOCIAL_LITE_TXT_DOMAIN)
                ),
                'googleplus_like_button_annotation' => array(
                    'none' => __('None', ARSOCIAL_LITE_TXT_DOMAIN),
                    'bubble' => __('Bubble', ARSOCIAL_LITE_TXT_DOMAIN),
                    'inline' => __('Inline', ARSOCIAL_LITE_TXT_DOMAIN)
                )
            ),
            'googleplus_follow' => array(
                'google_plus_follow_buton_annotation' => array(
                    'none' => __('None', ARSOCIAL_LITE_TXT_DOMAIN),
                    'bubble' => __('Bubble', ARSOCIAL_LITE_TXT_DOMAIN),
                    'vertical-bubble' => __('Vertical Bubble', ARSOCIAL_LITE_TXT_DOMAIN),
                ),
                'google_plus_follow_buton_height' => array(
                    '15' => __('Small', ARSOCIAL_LITE_TXT_DOMAIN),
                    '20' => __('Medium', ARSOCIAL_LITE_TXT_DOMAIN),
                    '24' => __('Large', ARSOCIAL_LITE_TXT_DOMAIN),
                ),
                'google_plus_follow_buton_rel' => array(
                    'author' => __('Author', ARSOCIAL_LITE_TXT_DOMAIN),
                    'publisher' => __('Publisher', ARSOCIAL_LITE_TXT_DOMAIN),
                ),
            ),
            'twitter' => array(
                'language' => array(
                    "automatic" => __('Automatic', ARSOCIAL_LITE_TXT_DOMAIN),
                    "fr" => __('French', ARSOCIAL_LITE_TXT_DOMAIN),
                    "en" => __('English', ARSOCIAL_LITE_TXT_DOMAIN),
                    "ar" => __('Arabic', ARSOCIAL_LITE_TXT_DOMAIN),
                    "ja" => __('Japanese', ARSOCIAL_LITE_TXT_DOMAIN),
                    "es" => __('Spanish', ARSOCIAL_LITE_TXT_DOMAIN),
                    "de" => __('German', ARSOCIAL_LITE_TXT_DOMAIN),
                    "it" => __('Italian', ARSOCIAL_LITE_TXT_DOMAIN),
                    "id" => __('Indonesian', ARSOCIAL_LITE_TXT_DOMAIN),
                    "pt" => __('Portuguese', ARSOCIAL_LITE_TXT_DOMAIN),
                    "ko" => __('Korean', ARSOCIAL_LITE_TXT_DOMAIN),
                    "tr" => __('Turkish', ARSOCIAL_LITE_TXT_DOMAIN),
                    "ru" => __('Russian', ARSOCIAL_LITE_TXT_DOMAIN),
                    "nl" => __('Dutch', ARSOCIAL_LITE_TXT_DOMAIN),
                    "fil" => __('Filipino', ARSOCIAL_LITE_TXT_DOMAIN),
                    "msa" => __('Malay', ARSOCIAL_LITE_TXT_DOMAIN),
                    "zh-tw" => __('Traditional Chinese', ARSOCIAL_LITE_TXT_DOMAIN),
                    "zh-cn" => __('Simplified Chinese', ARSOCIAL_LITE_TXT_DOMAIN),
                    "hi" => __('Hindi', ARSOCIAL_LITE_TXT_DOMAIN),
                    "no" => __('Norwegian', ARSOCIAL_LITE_TXT_DOMAIN),
                    "sv" => __('Swedish', ARSOCIAL_LITE_TXT_DOMAIN),
                    "fi" => __('Finnish', ARSOCIAL_LITE_TXT_DOMAIN),
                    "da" => __('Danish', ARSOCIAL_LITE_TXT_DOMAIN),
                    "pl" => __('Polish', ARSOCIAL_LITE_TXT_DOMAIN),
                    "hu" => __('Hungarian', ARSOCIAL_LITE_TXT_DOMAIN),
                    "fa" => __('Farsi', ARSOCIAL_LITE_TXT_DOMAIN),
                    "he" => __('Hebrew', ARSOCIAL_LITE_TXT_DOMAIN),
                    "ur" => __('Urdu', ARSOCIAL_LITE_TXT_DOMAIN),
                    "th" => __('Thai', ARSOCIAL_LITE_TXT_DOMAIN)
                ),
            ),
            'youtube' => array(
                'youtube_like_button_layout' => array(
                    'dafault' => __('Dafault', ARSOCIAL_LITE_TXT_DOMAIN),
                    'full' => __('Full', ARSOCIAL_LITE_TXT_DOMAIN)
                ),
                'youtube_like_button_theme' => array(
                    'dafault' => __('Dafault', ARSOCIAL_LITE_TXT_DOMAIN),
                    'dark' => __('Dark', ARSOCIAL_LITE_TXT_DOMAIN)
                ),
                'youtube_like_button_subscriber_count' => array(
                    'dafault' => __('Dafault', ARSOCIAL_LITE_TXT_DOMAIN),
                    'hidden' => __('Hidden', ARSOCIAL_LITE_TXT_DOMAIN)
                ),
                'youtube_like_button_subscribe_using' => array(
                    'id' => __('Channel Id', ARSOCIAL_LITE_TXT_DOMAIN),
                    'name' => __('Channel Name', ARSOCIAL_LITE_TXT_DOMAIN),
                )
            ),
            'pinterest' => array(
                'pinterest_like_button_color' => array(
                    'red' => __('Red', ARSOCIAL_LITE_TXT_DOMAIN),
                    'gray' => __('Gray', ARSOCIAL_LITE_TXT_DOMAIN),
                    'white' => __('White', ARSOCIAL_LITE_TXT_DOMAIN),
                ),
                'pinterest_like_button_count_position' => array(
                    'not_shown' => __('Not Shown', ARSOCIAL_LITE_TXT_DOMAIN),
                    'above' => __('Above the Button', ARSOCIAL_LITE_TXT_DOMAIN),
                    'beside' => __('Beside the Button', ARSOCIAL_LITE_TXT_DOMAIN),
                ),
                'pinterest_like_button_language' => array(
                    'en' => __('English', ARSOCIAL_LITE_TXT_DOMAIN),
                    'ja' => __('Japanese', ARSOCIAL_LITE_TXT_DOMAIN),
                )
            ),
            'vk' => array(
                'vk_like_button_name' => array(
                    'normal' => __('Like', ARSOCIAL_LITE_TXT_DOMAIN),
                    'verb' => __('This is interesting', ARSOCIAL_LITE_TXT_DOMAIN),
                ),
                'vk_like_button_layout' => array(
                    'button' => __('Button with mini counter', ARSOCIAL_LITE_TXT_DOMAIN),
                    'full' => __('Button with text counter', ARSOCIAL_LITE_TXT_DOMAIN),
                    'mini' => __('Mini button', ARSOCIAL_LITE_TXT_DOMAIN),
                    'vertical' => __('Mini button with counter at the top', ARSOCIAL_LITE_TXT_DOMAIN),
                )
            ),
            'instagram' => array(
                'instagram_like_button_size' => array(
                    'small' => __('Small', ARSOCIAL_LITE_TXT_DOMAIN),
                    'medium' => __('Medium', ARSOCIAL_LITE_TXT_DOMAIN),
                    'large' => __('Large', ARSOCIAL_LITE_TXT_DOMAIN),
                ),
            ),
            'tumblr' => array(
                'tumblr_like_button_color' => array(
                    'blue' => __('Blue', ARSOCIAL_LITE_TXT_DOMAIN),
                    'white' => __('White', ARSOCIAL_LITE_TXT_DOMAIN),
                    'black' => __('Black', ARSOCIAL_LITE_TXT_DOMAIN),
                ),
            ),
            'linkedin' => array('linkedin_counter_position' => array(
                    'right' => __('Horizontal', ARSOCIAL_LITE_TXT_DOMAIN),
                    'none' => __('No Count', ARSOCIAL_LITE_TXT_DOMAIN),
                )
            ),
            'viadeo' => array(
                'viadeo_button_type' => array(
                    'default' => __('Default', ARSOCIAL_LITE_TXT_DOMAIN),
                    'small' => __('Button', ARSOCIAL_LITE_TXT_DOMAIN),
                    'inlay' => __('Integrated', ARSOCIAL_LITE_TXT_DOMAIN),
                ),
            ),
            'flipboard' => array(
                'flipboard_button_size' => array(
                    's' => __('Small', ARSOCIAL_LITE_TXT_DOMAIN),
                    'm' => __('Medium', ARSOCIAL_LITE_TXT_DOMAIN),
                    'l' => __('Large', ARSOCIAL_LITE_TXT_DOMAIN),
                ),
                'flipboard_button_background_color' => array(
                    'b' => __('Black', ARSOCIAL_LITE_TXT_DOMAIN),
                    'r' => __('Red', ARSOCIAL_LITE_TXT_DOMAIN),
                    'w' => __('White', ARSOCIAL_LITE_TXT_DOMAIN),
                ),
                'flipboard_button_style' => array(
                    'sw' => 'http://cdn.flipboard.com/badges/flipboard_sbsw.png',
                    'st' => 'http://cdn.flipboard.com/badges/flipboard_sbst.png',
                    'rw' => 'http://cdn.flipboard.com/badges/flipboard_sbrw.png',
                    'rt' => 'http://cdn.flipboard.com/badges/flipboard_sbrt.png',
                ),
            ),
            'flickr' => array(
                'flickr_button_color' => array(
                    'white' => __('White', ARSOCIAL_LITE_TXT_DOMAIN),
                    'black' => __('Black', ARSOCIAL_LITE_TXT_DOMAIN)
                ),
                'flickr_button_style' => array(
                    'im-on-flickr' => __('I am on flickr', ARSOCIAL_LITE_TXT_DOMAIN),
                    'see-my-photos' => __('See my photos', ARSOCIAL_LITE_TXT_DOMAIN),
                    'flickr' => __('Flickr', ARSOCIAL_LITE_TXT_DOMAIN),
                    'large-chiclet' => __('Large Chiclet', ARSOCIAL_LITE_TXT_DOMAIN),
                    'small-chiclet' => __('Small Chiclet', ARSOCIAL_LITE_TXT_DOMAIN),
                    'small-circle' => __('Circle', ARSOCIAL_LITE_TXT_DOMAIN),
                )
            )
        );
        $like_network = apply_filters('arsocial_lite_default_like_networks', $like_network);
        return $like_network;
    }

    /**
     * Function for Default Options for Like,Follow And Subscribe 
     * 
     * @since v1.0
     */
    function ARSocialShareDefaultLikeOption() {
        global $arsocial_lite_like, $arsocial_lite;
        $like_options = array();

        $like_options = array(
            'facebook' => array(
                'is_fb_like' => true,
                'fb_like_url' => 'www.reputeinfosystems.com',
                'fb_button_width' => '',
                'fb_button_layout' => 'button',
                'fb_button_action_type' => 'like',
                'fb_button_show_friend_face' => true,
                'facebook_like_button_colorscheme' => 'light'
            ),
            'facebook_follow' => array(
                'is_fb_follow_like' => true,
                'fb_follow_like_url' => 'https://www.facebook.com/reputeinfosystems',
                'fb_follow_button_width' => '',
                'fb_follow_button_height' => '',
                'fb_follow_button_layout' => 'button',
                'fb_follow_button_show_friend_face' => true,
                'facebook_follow_like_button_colorscheme' => 'light',
            ),
            'twitter' => array(
                'is_twitter_like' => true,
                'twitter_like_url' => 'reputeinfo',
                'twitter_show_username' => true,
                'twitter_large_button' => '',
                'twitter_opt_out_tailoring' => ''
            ),
            'googleplus' => array(
                'is_googleplus_like' => true,
                'googleplus_like_url' => '',
                'googleplus_button_size' => '',
                'googleplus_button_annotation' => '',
            ),
            'googleplus_follow' => array(
                'is_googleplus_follow' => true,
                'googleplus_follow_url' => '',
                'googleplus_follow_button_annotation' => 'none',
                'googleplus_follow_height' => '20',
                'googleplus_follow_rel' => '',
            ),
            'youtube' => array(
                'is_youtube_like' => true,
                'is_youtube_id' => 'UCLGFoC_TNqXW2VrNF-O3oTA',
                'youtube_like_lauout' => 'dafault',
                'youtube_like_theme' => 'default',
                'youtube_like_subscriber_count' => 'default',
                'youtube_like_button_subscribe_using' => 'id'
            ),
            'pinterest' => array(
                'is_pinterest_like' => true,
                'pinterest_like_url' => '',
                'pinterest_like_custom_image_url' => '',
                'is_pinterest_round' => '',
                'is_pinterest_large' => true,
                'pinterest_like_discription' => '',
                'pinterest_like_color' => 'red',
                'pinterest_like_count_position' => 'not_shown',
                'pinterest_like_image' => '',
            ),
            'pinterest_follow' => array(
                'is_pinterest_follow' => true,
                'pinterest_follow_url' => '',
                'pinterest_follow_name' => '',
            ),
            'vk' => array(
                'is_vk_like' => true,
                'vk_button_layout' => '',
                'vk_button_name' => 'normal',
                'vk_button_url' => 'button',
            ),
            'instagram' => array(
                'is_instagram_like' => true,
                'instagram_like_username' => 'reputeinfo',
            ),
            'tumblr' => array(
                'is_tumblr_like' => true,
                'tumblr_like_blogname' => '',
                'tumblr_like_button_color' => 'blue',
            ),
            'linkedin' => array(
                'is_linkedin_like' => true,
                'linkedin_like_username' => '3544407',
                'linkedin_counter_position' => 'none',
            ),
            'viadeo' => array(
                'is_viadeo_like' => true,
                'viadeo_like_url' => '',
                'viadeo_button_type' => 'default',
            ),
            'flipboard' => array(
                'is_flipboard_like' => true,
                'flipboard_like_username' => '',
                'flipboard_button_color' => 'b',
                'flipboard_button_style' => 'sw',
                'flipboard_button_size' => 's',
            ),
            'flickr' => array(
                'is_flickr_like' => true,
                'flickr_like_username' => '',
                'flickr_button_color' => 'white',
                'flickr_button_style' => 'flickr',
                'flickr_button_height' => '30',
                'flickr_button_weight' => '80',
            ),
        );
        $like_options = apply_filters('arsocial_lite_default_like_networks_options', $like_options);
    }

    function ars_google_api_language_array() {
        $ars_lite_google_api_language_array = array();
        $ars_lite_google_api_language_array = apply_filters('ars_lite_google_api_language_array', array(
            "af" => __('Afrikaans', ARSOCIAL_LITE_TXT_DOMAIN),
            "am" => __('Amharic', ARSOCIAL_LITE_TXT_DOMAIN),
            "ar" => __('Arabic', ARSOCIAL_LITE_TXT_DOMAIN),
            "eu" => __('Basque', ARSOCIAL_LITE_TXT_DOMAIN),
            "bn" => __('Bengali', ARSOCIAL_LITE_TXT_DOMAIN),
            "bg" => __('Bulgarian', ARSOCIAL_LITE_TXT_DOMAIN),
            "ca" => __('Catalan', ARSOCIAL_LITE_TXT_DOMAIN),
            "zh-HK" => __('Chinese (Hong Kong)', ARSOCIAL_LITE_TXT_DOMAIN),
            "zh-CN" => __('Chinese (Simplified)', ARSOCIAL_LITE_TXT_DOMAIN),
            "zh-TW" => __('Chinese (Traditional)', ARSOCIAL_LITE_TXT_DOMAIN),
            "hr" => __('Croatian', ARSOCIAL_LITE_TXT_DOMAIN),
            "cs" => __('Czech', ARSOCIAL_LITE_TXT_DOMAIN),
            "da" => __('Danish', ARSOCIAL_LITE_TXT_DOMAIN),
            "nl" => __('Dutch', ARSOCIAL_LITE_TXT_DOMAIN),
            "en-GB" => __('English (United Kingdom)', ARSOCIAL_LITE_TXT_DOMAIN),
            "en" => __('English (United States)', ARSOCIAL_LITE_TXT_DOMAIN),
            "et" => __('Estonian', ARSOCIAL_LITE_TXT_DOMAIN),
            "fil" => __('Filipino', ARSOCIAL_LITE_TXT_DOMAIN),
            "fi" => __('Finnish', ARSOCIAL_LITE_TXT_DOMAIN),
            "fr-CA" => __('French (Canada)', ARSOCIAL_LITE_TXT_DOMAIN),
            "fr" => __('French (France)', ARSOCIAL_LITE_TXT_DOMAIN),
            "gl" => __('Galician', ARSOCIAL_LITE_TXT_DOMAIN),
            "de" => __('German', ARSOCIAL_LITE_TXT_DOMAIN),
            "el" => __('Greek', ARSOCIAL_LITE_TXT_DOMAIN),
            "gu" => __('Gujarati', ARSOCIAL_LITE_TXT_DOMAIN),
            "iw" => __('Hebrew', ARSOCIAL_LITE_TXT_DOMAIN),
            "hi" => __('Hindi', ARSOCIAL_LITE_TXT_DOMAIN),
            "hu" => __('Hungarian', ARSOCIAL_LITE_TXT_DOMAIN),
            "is" => __('Icelandic', ARSOCIAL_LITE_TXT_DOMAIN),
            "id" => __('Indonesian', ARSOCIAL_LITE_TXT_DOMAIN),
            "it" => __('Italian', ARSOCIAL_LITE_TXT_DOMAIN),
            "ja" => __('Japanese', ARSOCIAL_LITE_TXT_DOMAIN),
            "kn" => __('Kannada', ARSOCIAL_LITE_TXT_DOMAIN),
            "ko" => __('Korean', ARSOCIAL_LITE_TXT_DOMAIN),
            "lv" => __('Latvian', ARSOCIAL_LITE_TXT_DOMAIN),
            "lt" => __('Lithuanian', ARSOCIAL_LITE_TXT_DOMAIN),
            "ms" => __('Malay', ARSOCIAL_LITE_TXT_DOMAIN),
            "ml" => __('Malayalam', ARSOCIAL_LITE_TXT_DOMAIN),
            "mr" => __('Marathi', ARSOCIAL_LITE_TXT_DOMAIN),
            "no" => __('Norwegian', ARSOCIAL_LITE_TXT_DOMAIN),
            "fa" => __('Persian', ARSOCIAL_LITE_TXT_DOMAIN),
            "pl" => __('Polish', ARSOCIAL_LITE_TXT_DOMAIN),
            "pt-BR" => __('Portuguese (Brazil)', ARSOCIAL_LITE_TXT_DOMAIN),
            "pt-PT" => __('Portuguese (Portugal)', ARSOCIAL_LITE_TXT_DOMAIN),
            "ro" => __('Romanian', ARSOCIAL_LITE_TXT_DOMAIN),
            "ru" => __('Russian', ARSOCIAL_LITE_TXT_DOMAIN),
            "sr" => __('Serbian', ARSOCIAL_LITE_TXT_DOMAIN),
            "sk" => __('Slovak', ARSOCIAL_LITE_TXT_DOMAIN),
            "sl" => __('Slovenian', ARSOCIAL_LITE_TXT_DOMAIN),
            "es-419" => __('Spanish (Latin America)', ARSOCIAL_LITE_TXT_DOMAIN),
            "es" => __('Spanish (Spain)', ARSOCIAL_LITE_TXT_DOMAIN),
            "sw" => __('Swahili', ARSOCIAL_LITE_TXT_DOMAIN),
            "sv" => __('Swedish', ARSOCIAL_LITE_TXT_DOMAIN),
            "ta" => __('Tamil', ARSOCIAL_LITE_TXT_DOMAIN),
            "te" => __('Telugu', ARSOCIAL_LITE_TXT_DOMAIN),
            "th" => __('Thai', ARSOCIAL_LITE_TXT_DOMAIN),
            "tr" => __('Turkish', ARSOCIAL_LITE_TXT_DOMAIN),
            "uk" => __('Ukrainian', ARSOCIAL_LITE_TXT_DOMAIN),
            "ur" => __('Urdu', ARSOCIAL_LITE_TXT_DOMAIN),
            "vi" => __('Vietnamese', ARSOCIAL_LITE_TXT_DOMAIN),
            "zu" => __('Zulu', ARSOCIAL_LITE_TXT_DOMAIN),
        ));

        return $ars_lite_google_api_language_array;
    }

    function ars_lite_tumblr_language_array() {
        $ars_lite_tumblr_language_array = array();
        $ars_lite_tumblr_language_array = apply_filters('ars_lite_tumblr_language_array', array(
            'en_US' => __('English', ARSOCIAL_LITE_TXT_DOMAIN),
            'de_DE' => __('German', ARSOCIAL_LITE_TXT_DOMAIN),
            'fr_FR' => __('French', ARSOCIAL_LITE_TXT_DOMAIN),
            'it_IT' => __('Italian', ARSOCIAL_LITE_TXT_DOMAIN),
            'ja_JP' => __('Japanese', ARSOCIAL_LITE_TXT_DOMAIN),
            'tr_TR' => __('Turkish', ARSOCIAL_LITE_TXT_DOMAIN),
            'es_ES' => __('Spanish', ARSOCIAL_LITE_TXT_DOMAIN),
            'ru_RU' => __('Russian', ARSOCIAL_LITE_TXT_DOMAIN),
            'pl_PL' => __('Polish', ARSOCIAL_LITE_TXT_DOMAIN),
            'pt_PT' => __('Portuguese', ARSOCIAL_LITE_TXT_DOMAIN),
            'pt_BR' => __('Portuguese', ARSOCIAL_LITE_TXT_DOMAIN),
            'nl_NL' => __('Dutch', ARSOCIAL_LITE_TXT_DOMAIN),
            'ko_KR' => __('Korean', ARSOCIAL_LITE_TXT_DOMAIN),
            'zh_CN' => __('Chinese (Simplified)', ARSOCIAL_LITE_TXT_DOMAIN),
            'zh_TW' => __('Chinese (Traditional)', ARSOCIAL_LITE_TXT_DOMAIN),
        ));

        return $ars_lite_tumblr_language_array;
    }

    function ars_linkedin_language_array() {
        $ars_lite_linkedin_language_array = array();
        $ars_lite_linkedin_language_array = apply_filters('ars_lite_linkedin_language_array', array(
            "en_US" => __('English', ARSOCIAL_LITE_TXT_DOMAIN),
            "ar_AE" => __('Arabic', ARSOCIAL_LITE_TXT_DOMAIN),
            "zh_CN" => __('Chinese - Simplified', ARSOCIAL_LITE_TXT_DOMAIN),
            "zh_TW" => __('Chinese - Traditional', ARSOCIAL_LITE_TXT_DOMAIN),
            "cs_CZ" => __('Czech', ARSOCIAL_LITE_TXT_DOMAIN),
            "da_DK" => __('Danish', ARSOCIAL_LITE_TXT_DOMAIN),
            "nl_NL" => __('Dutch', ARSOCIAL_LITE_TXT_DOMAIN),
            "fr_FR" => __('French', ARSOCIAL_LITE_TXT_DOMAIN),
            "de_DE" => __('German', ARSOCIAL_LITE_TXT_DOMAIN),
            "in_ID" => __('Indonesian', ARSOCIAL_LITE_TXT_DOMAIN),
            "it_IT" => __('Italian', ARSOCIAL_LITE_TXT_DOMAIN),
            "ja_JP" => __('Japanese', ARSOCIAL_LITE_TXT_DOMAIN),
            "ko_KR" => __('Korean', ARSOCIAL_LITE_TXT_DOMAIN),
            "ms_MY" => __('Malay', ARSOCIAL_LITE_TXT_DOMAIN),
            "no_NO" => __('Norwegian', ARSOCIAL_LITE_TXT_DOMAIN),
            "pl_PL" => __('Polish', ARSOCIAL_LITE_TXT_DOMAIN),
            "pt_BR" => __('Portuguese', ARSOCIAL_LITE_TXT_DOMAIN),
            "ro_RO" => __('Romanian', ARSOCIAL_LITE_TXT_DOMAIN),
            "ru_RU" => __('Russian', ARSOCIAL_LITE_TXT_DOMAIN),
            "es_ES" => __('Spanish', ARSOCIAL_LITE_TXT_DOMAIN),
            "sv_SE" => __('Swedish', ARSOCIAL_LITE_TXT_DOMAIN),
            "tl_PH" => __('Tagalog', ARSOCIAL_LITE_TXT_DOMAIN),
            "th_TH" => __('Thai', ARSOCIAL_LITE_TXT_DOMAIN),
            "tr_TR" => __('Turkish', ARSOCIAL_LITE_TXT_DOMAIN),
        ));

        return $ars_lite_linkedin_language_array;
    }

    function ars_facebook_language_array() {
        $ars_lite_facebook_language_array = array();
        $ars_lite_facebook_language_array = apply_filters('ars_lite_facebook_language_array', array(
            'af_ZA' => __('Afrikaans', ARSOCIAL_LITE_TXT_DOMAIN),
            'ak_GH' => __('Akan', ARSOCIAL_LITE_TXT_DOMAIN),
            'am_ET' => __('Amharic', ARSOCIAL_LITE_TXT_DOMAIN),
            'ar_AR' => __('Arabic', ARSOCIAL_LITE_TXT_DOMAIN),
            'as_IN' => __('Assamese', ARSOCIAL_LITE_TXT_DOMAIN),
            'ay_BO' => __('Aymara', ARSOCIAL_LITE_TXT_DOMAIN),
            'az_AZ' => __('Azerbaijani', ARSOCIAL_LITE_TXT_DOMAIN),
            'be_BY' => __('Belarusian', ARSOCIAL_LITE_TXT_DOMAIN),
            'bg_BG' => __('Bulgarian', ARSOCIAL_LITE_TXT_DOMAIN),
            'bn_IN' => __('Bengali', ARSOCIAL_LITE_TXT_DOMAIN),
            'br_FR' => __('Breton', ARSOCIAL_LITE_TXT_DOMAIN),
            'bs_BA' => __('Bosnian', ARSOCIAL_LITE_TXT_DOMAIN),
            'ca_ES' => __('Catalan', ARSOCIAL_LITE_TXT_DOMAIN),
            'cb_IQ' => __('Sorani Kurdish', ARSOCIAL_LITE_TXT_DOMAIN),
            'ck_US' => __('Cherokee', ARSOCIAL_LITE_TXT_DOMAIN),
            'co_FR' => __('Corsican', ARSOCIAL_LITE_TXT_DOMAIN),
            'cs_CZ' => __('Czech', ARSOCIAL_LITE_TXT_DOMAIN),
            'cx_PH' => __('Cebuano', ARSOCIAL_LITE_TXT_DOMAIN),
            'cy_GB' => __('Welsh', ARSOCIAL_LITE_TXT_DOMAIN),
            'da_DK' => __('Danish', ARSOCIAL_LITE_TXT_DOMAIN),
            'de_DE' => __('German', ARSOCIAL_LITE_TXT_DOMAIN),
            'el_GR' => __('Greek', ARSOCIAL_LITE_TXT_DOMAIN),
            'en_GB' => __('English (UK)', ARSOCIAL_LITE_TXT_DOMAIN),
            'en_IN' => __('English (India)', ARSOCIAL_LITE_TXT_DOMAIN),
            'en_PI' => __('English (Pirate)', ARSOCIAL_LITE_TXT_DOMAIN),
            'en_UD' => __('English (Upside Down)', ARSOCIAL_LITE_TXT_DOMAIN),
            'en_US' => __('English (US)', ARSOCIAL_LITE_TXT_DOMAIN),
            'eo_EO' => __('Esperanto', ARSOCIAL_LITE_TXT_DOMAIN),
            'es_CL' => __('Spanish (Chile)', ARSOCIAL_LITE_TXT_DOMAIN),
            'es_CO' => __('Spanish (Colombia)', ARSOCIAL_LITE_TXT_DOMAIN),
            'es_ES' => __('Spanish (Spain)', ARSOCIAL_LITE_TXT_DOMAIN),
            'es_LA' => __('Spanish', ARSOCIAL_LITE_TXT_DOMAIN),
            'es_MX' => __('Spanish (Mexico)', ARSOCIAL_LITE_TXT_DOMAIN),
            'es_VE' => __('Spanish (Venezuela)', ARSOCIAL_LITE_TXT_DOMAIN),
            'et_EE' => __('Estonian', ARSOCIAL_LITE_TXT_DOMAIN),
            'eu_ES' => __('Basque', ARSOCIAL_LITE_TXT_DOMAIN),
            'fa_IR' => __('Persian', ARSOCIAL_LITE_TXT_DOMAIN),
            'fb_LT' => __('Leet Speak', ARSOCIAL_LITE_TXT_DOMAIN),
            'ff_NG' => __('Fulah', ARSOCIAL_LITE_TXT_DOMAIN),
            'fi_FI' => __('Finnish', ARSOCIAL_LITE_TXT_DOMAIN),
            'fo_FO' => __('Faroese', ARSOCIAL_LITE_TXT_DOMAIN),
            'fr_CA' => __('French (Canada)', ARSOCIAL_LITE_TXT_DOMAIN),
            'fr_FR' => __('French (France)', ARSOCIAL_LITE_TXT_DOMAIN),
            'fy_NL' => __('Frisian', ARSOCIAL_LITE_TXT_DOMAIN),
            'ga_IE' => __('Irish', ARSOCIAL_LITE_TXT_DOMAIN),
            'gl_ES' => __('Galician', ARSOCIAL_LITE_TXT_DOMAIN),
            'gn_PY' => __('Guarani', ARSOCIAL_LITE_TXT_DOMAIN),
            'gu_IN' => __('Gujarati', ARSOCIAL_LITE_TXT_DOMAIN),
            'gx_GR' => __('Classical Greek', ARSOCIAL_LITE_TXT_DOMAIN),
            'ha_NG' => __('Hausa', ARSOCIAL_LITE_TXT_DOMAIN),
            'ha_NG' => __('Hausa', ARSOCIAL_LITE_TXT_DOMAIN),
            'he_IL' => __('Hebrew', ARSOCIAL_LITE_TXT_DOMAIN),
            'hi_IN' => __('Hindi', ARSOCIAL_LITE_TXT_DOMAIN),
            'hr_HR' => __('Croatian', ARSOCIAL_LITE_TXT_DOMAIN),
            'hu_HU' => __('Hungarian', ARSOCIAL_LITE_TXT_DOMAIN),
            'id_ID' => __('Indonesian', ARSOCIAL_LITE_TXT_DOMAIN),
            'ig_NG' => __('Igbo', ARSOCIAL_LITE_TXT_DOMAIN),
            'is_IS' => __('Icelandic', ARSOCIAL_LITE_TXT_DOMAIN),
            'it_IT' => __('Italian', ARSOCIAL_LITE_TXT_DOMAIN),
            'ja_JP' => __('Japanese', ARSOCIAL_LITE_TXT_DOMAIN),
            'ja_KS' => __('Japanese (Kansai)', ARSOCIAL_LITE_TXT_DOMAIN),
            'jv_ID' => __('Javanese', ARSOCIAL_LITE_TXT_DOMAIN),
            'ka_GE' => __('Georgian', ARSOCIAL_LITE_TXT_DOMAIN),
            'km_KH' => __('Khmer', ARSOCIAL_LITE_TXT_DOMAIN),
            'kn_IN' => __('Kannada', ARSOCIAL_LITE_TXT_DOMAIN),
            'ko_KR' => __('Korean', ARSOCIAL_LITE_TXT_DOMAIN),
            'ku_TR' => __('Kurdish (Kurmanji)', ARSOCIAL_LITE_TXT_DOMAIN),
            'ky_KG' => __('Kyrgyz', ARSOCIAL_LITE_TXT_DOMAIN),
            'la_VA' => __('Latin', ARSOCIAL_LITE_TXT_DOMAIN),
            'lg_UG' => __('Ganda', ARSOCIAL_LITE_TXT_DOMAIN),
            'li_NL' => __('Limburgish', ARSOCIAL_LITE_TXT_DOMAIN),
            'ln_CD' => __('Lingala', ARSOCIAL_LITE_TXT_DOMAIN),
            'lo_LA' => __('Lao', ARSOCIAL_LITE_TXT_DOMAIN),
            'lt_LT' => __('Lithuanian', ARSOCIAL_LITE_TXT_DOMAIN),
            'lv_LV' => __('Latvian', ARSOCIAL_LITE_TXT_DOMAIN),
            'mg_MG' => __('Malagasy', ARSOCIAL_LITE_TXT_DOMAIN),
            'mi_NZ' => __('Maori', ARSOCIAL_LITE_TXT_DOMAIN),
            'mk_MK' => __('Macedonian', ARSOCIAL_LITE_TXT_DOMAIN),
            'ml_IN' => __('Malayalam', ARSOCIAL_LITE_TXT_DOMAIN),
            'mn_MN' => __('Mongolian', ARSOCIAL_LITE_TXT_DOMAIN),
            'mr_IN' => __('Marathi', ARSOCIAL_LITE_TXT_DOMAIN),
            'ms_MY' => __('Malay', ARSOCIAL_LITE_TXT_DOMAIN),
            'mt_MT' => __('Maltese', ARSOCIAL_LITE_TXT_DOMAIN),
            'my_MM' => __('Burmese', ARSOCIAL_LITE_TXT_DOMAIN),
            'nb_NO' => __('Norwegian (bokmal)', ARSOCIAL_LITE_TXT_DOMAIN),
            'nd_ZW' => __('Ndebele', ARSOCIAL_LITE_TXT_DOMAIN),
            'ne_NP' => __('Nepali', ARSOCIAL_LITE_TXT_DOMAIN),
            'nl_BE' => __('Dutch (België)', ARSOCIAL_LITE_TXT_DOMAIN),
            'nl_NL' => __('Dutch', ARSOCIAL_LITE_TXT_DOMAIN),
            'nn_NO' => __('Norwegian (nynorsk)', ARSOCIAL_LITE_TXT_DOMAIN),
            'ny_MW' => __('Chewa', ARSOCIAL_LITE_TXT_DOMAIN),
            'or_IN' => __('Oriya', ARSOCIAL_LITE_TXT_DOMAIN),
            'pa_IN' => __('Punjabi', ARSOCIAL_LITE_TXT_DOMAIN),
            'pl_PL' => __('Polish', ARSOCIAL_LITE_TXT_DOMAIN),
            'ps_AF' => __('Pashto', ARSOCIAL_LITE_TXT_DOMAIN),
            'pt_BR' => __('Portuguese (Brazil)', ARSOCIAL_LITE_TXT_DOMAIN),
            'pt_PT' => __('Portuguese (Portugal)', ARSOCIAL_LITE_TXT_DOMAIN),
            'qu_PE' => __('Quechua', ARSOCIAL_LITE_TXT_DOMAIN),
            'rm_CH' => __('Romansh', ARSOCIAL_LITE_TXT_DOMAIN),
            'ro_RO' => __('Romanian', ARSOCIAL_LITE_TXT_DOMAIN),
            'ru_RU' => __('Russian', ARSOCIAL_LITE_TXT_DOMAIN),
            'rw_RW' => __('Kinyarwanda', ARSOCIAL_LITE_TXT_DOMAIN),
            'sa_IN' => __('Sanskrit', ARSOCIAL_LITE_TXT_DOMAIN),
            'sc_IT' => __('Sardinian', ARSOCIAL_LITE_TXT_DOMAIN),
            'se_NO' => __('Northern Sámi', ARSOCIAL_LITE_TXT_DOMAIN),
            'si_LK' => __('Sinhala', ARSOCIAL_LITE_TXT_DOMAIN),
            'sk_SK' => __('Slovak', ARSOCIAL_LITE_TXT_DOMAIN),
            'sl_SI' => __('Slovenian', ARSOCIAL_LITE_TXT_DOMAIN),
            'sn_ZW' => __('Shona', ARSOCIAL_LITE_TXT_DOMAIN),
            'so_SO' => __('Somali', ARSOCIAL_LITE_TXT_DOMAIN),
            'sq_AL' => __('Albanian', ARSOCIAL_LITE_TXT_DOMAIN),
            'sr_RS' => __('Serbian', ARSOCIAL_LITE_TXT_DOMAIN),
            'sv_SE' => __('Swedish', ARSOCIAL_LITE_TXT_DOMAIN),
            'sw_KE' => __('Swahili', ARSOCIAL_LITE_TXT_DOMAIN),
            'sy_SY' => __('Syriac', ARSOCIAL_LITE_TXT_DOMAIN),
            'sz_PL' => __('Silesian', ARSOCIAL_LITE_TXT_DOMAIN),
            'ta_IN' => __('Tamil', ARSOCIAL_LITE_TXT_DOMAIN),
            'te_IN' => __('Telugu', ARSOCIAL_LITE_TXT_DOMAIN),
            'tg_TJ' => __('Tajik', ARSOCIAL_LITE_TXT_DOMAIN),
            'th_TH' => __('Thai', ARSOCIAL_LITE_TXT_DOMAIN),
            'tk_TM' => __('Turkmen', ARSOCIAL_LITE_TXT_DOMAIN),
            'tl_PH' => __('Filipino', ARSOCIAL_LITE_TXT_DOMAIN),
            'tl_ST' => __('Klingon', ARSOCIAL_LITE_TXT_DOMAIN),
            'tr_TR' => __('Turkish', ARSOCIAL_LITE_TXT_DOMAIN),
            'tt_RU' => __('Tatar', ARSOCIAL_LITE_TXT_DOMAIN),
            'tz_MA' => __('Tamazight', ARSOCIAL_LITE_TXT_DOMAIN),
            'uk_UA' => __('Ukrainian', ARSOCIAL_LITE_TXT_DOMAIN),
            'ur_PK' => __('Urdu', ARSOCIAL_LITE_TXT_DOMAIN),
            'uz_UZ' => __('Uzbek', ARSOCIAL_LITE_TXT_DOMAIN),
            'vi_VN' => __('Vietnamese', ARSOCIAL_LITE_TXT_DOMAIN),
            'wo_SN' => __('Wolof', ARSOCIAL_LITE_TXT_DOMAIN),
            'xh_ZA' => __('Xhosa', ARSOCIAL_LITE_TXT_DOMAIN),
            'yi_DE' => __('Yiddish', ARSOCIAL_LITE_TXT_DOMAIN),
            'yo_NG' => __('Yoruba', ARSOCIAL_LITE_TXT_DOMAIN),
            'zh_CN' => __('Simplified Chinese (China)', ARSOCIAL_LITE_TXT_DOMAIN),
            'zh_HK' => __('Traditional Chinese (Hong Kong)', ARSOCIAL_LITE_TXT_DOMAIN),
            'zh_TW' => __('Traditional Chinese (Taiwan)', ARSOCIAL_LITE_TXT_DOMAIN),
            'zu_ZA' => __('Zulu', ARSOCIAL_LITE_TXT_DOMAIN),
            'zz_TR' => __('Zazaki', ARSOCIAL_LITE_TXT_DOMAIN),
        ));

        return $ars_lite_facebook_language_array;
    }

    function ars_twitter_language_array() {
        $twitter_lang = array(
            "automatic" => __('Automatic', ARSOCIAL_LITE_TXT_DOMAIN),
            "fr" => __('French', ARSOCIAL_LITE_TXT_DOMAIN),
            "en" => __('English', ARSOCIAL_LITE_TXT_DOMAIN),
            "ar" => __('Arabic', ARSOCIAL_LITE_TXT_DOMAIN),
            "ja" => __('Japanese', ARSOCIAL_LITE_TXT_DOMAIN),
            "es" => __('Spanish', ARSOCIAL_LITE_TXT_DOMAIN),
            "de" => __('German', ARSOCIAL_LITE_TXT_DOMAIN),
            "it" => __('Italian', ARSOCIAL_LITE_TXT_DOMAIN),
            "id" => __('Indonesian', ARSOCIAL_LITE_TXT_DOMAIN),
            "pt" => __('Portuguese', ARSOCIAL_LITE_TXT_DOMAIN),
            "ko" => __('Korean', ARSOCIAL_LITE_TXT_DOMAIN),
            "tr" => __('Turkish', ARSOCIAL_LITE_TXT_DOMAIN),
            "ru" => __('Russian', ARSOCIAL_LITE_TXT_DOMAIN),
            "nl" => __('Dutch', ARSOCIAL_LITE_TXT_DOMAIN),
            "fil" => __('Filipino', ARSOCIAL_LITE_TXT_DOMAIN),
            "msa" => __('Malay', ARSOCIAL_LITE_TXT_DOMAIN),
            "zh-tw" => __('Traditional Chinese', ARSOCIAL_LITE_TXT_DOMAIN),
            "zh-cn" => __('Simplified Chinese', ARSOCIAL_LITE_TXT_DOMAIN),
            "hi" => __('Hindi', ARSOCIAL_LITE_TXT_DOMAIN),
            "no" => __('Norwegian', ARSOCIAL_LITE_TXT_DOMAIN),
            "sv" => __('Swedish', ARSOCIAL_LITE_TXT_DOMAIN),
            "fi" => __('Finnish', ARSOCIAL_LITE_TXT_DOMAIN),
            "da" => __('Danish', ARSOCIAL_LITE_TXT_DOMAIN),
            "pl" => __('Polish', ARSOCIAL_LITE_TXT_DOMAIN),
            "hu" => __('Hungarian', ARSOCIAL_LITE_TXT_DOMAIN),
            "fa" => __('Farsi', ARSOCIAL_LITE_TXT_DOMAIN),
            "he" => __('Hebrew', ARSOCIAL_LITE_TXT_DOMAIN),
            "ur" => __('Urdu', ARSOCIAL_LITE_TXT_DOMAIN),
            "th" => __('Thai', ARSOCIAL_LITE_TXT_DOMAIN)
        );

        return apply_filters('arsocial_lite_twitter_languages', $twitter_lang);
    }

    /**
     * Enqueueing Front Styles
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Front_CSS() {
        if (!is_admin()) {
            global $arsocial_lite_version;
            wp_register_style('arsocial_lite_front_css', ARSOCIAL_LITE_CSS_URL . '/arsocialshare_front.css', array(), $arsocial_lite_version);
            wp_register_style('arsocial_lite_effects_css', ARSOCIAL_LITE_CSS_URL . '/arsocialshare_effects.css', array(), $arsocial_lite_version);

            wp_register_style('arsocial_lite_socicon_css', ARSOCIAL_LITE_CSS_URL . '/arsocialshareicons.css', array(), $arsocial_lite_version);

            wp_register_style('arsocial_lite_theme-square', ARSOCIAL_LITE_THEME_CSS_URL . '/arsocialshare_theme-square.css', array(), $arsocial_lite_version);
        }
    }

    /**
     * Enqueueing Front Scripts
     * 
     * @since v1.0
     */
    function ARSocial_Lite_Front_JS() {

        if (!is_admin()) {
            global $arsocial_lite_version;
            wp_register_script('ars-lite-common-front-js', ARSOCIAL_LITE_SCRIPT_URL . '/ars_common_front.js', array(), $arsocial_lite_version);
            wp_register_script('ars-lite-share-front-js', ARSOCIAL_LITE_SCRIPT_URL . '/ars_share_front.js', array(), $arsocial_lite_version);
            wp_register_script('ars-lite-like-front-js', ARSOCIAL_LITE_SCRIPT_URL . '/ars_like_front.js', array(), $arsocial_lite_version);
            wp_register_script('ars-lite-fan-counter-js', ARSOCIAL_LITE_SCRIPT_URL . '/ars_fan_counter_front.js', array(), $arsocial_lite_version);

            wp_register_script('ars-lite-locker-front-js', ARSOCIAL_LITE_SCRIPT_URL . '/ars_locker_front.js', array(), $arsocial_lite_version);
            wp_register_script('ars-lite-locker-front-foggy-js', ARSOCIAL_LITE_SCRIPT_URL . '/jquery.foggy.min.js', array(), $arsocial_lite_version);

            wp_register_script('arsocial_lite_angular_script', ARSOCIAL_LITE_SCRIPT_URL . '/angular.min.js', array(), $arsocial_lite_version);
            wp_register_script('arsocial_lite_bpopup_script', ARSOCIAL_LITE_SCRIPT_URL . '/jquery.bpopup.min.js', array(), $arsocial_lite_version);
        }
    }

    function ars_lite_enqueue_js_css() {

        global $post;

        $ars_common_js_css = false;
        $ars_share_js_css = false;
        $ars_like_js_css = false;
        $ars_fan_js_css = false;
        $ars_locker_js_css = false;

        $post_content = isset($post->post_content) ? $post->post_content : '';

        // ARSocial_Lite_Share
        $parts = @explode("[ARSocial_Lite_Share", $post_content);
        if (is_array($parts) && key_exists(1, $parts)) {
            $myidpart = @explode("id=", $parts[1]);
            if (isset($myidpart) && key_exists(1, $myidpart)) {
                $myid = @explode("]", $myidpart[1]);
            }
        }

        if (!is_admin()) {
            global $wp_query;
            $posts = $wp_query->posts;

            $pattern = '\[(\[?)(ARSocial_Lite_Share)(?![\w-])([^\]\/]*(?:\/(?!\])[^\]\/]*)*?)(?:(\/)\]|\](?:([^\[]*+(?:\[(?!\/\2\])[^\[]*+)*+)\[\/\2\])?)(\]?)';
            $frm_ids = array();
            if (is_array($posts)) {
                foreach ($posts as $post) {
                    if (preg_match_all('/' . $pattern . '/s', $post->post_content, $matches) && array_key_exists(2, $matches) && in_array('ARSocial_Lite_Share', $matches[2])) {
                        $frm_ids[] = $matches;
                        //break;	
                    }
                }
                $formids = array();
                if (is_array($frm_ids) && count($frm_ids) > 0) {

                    foreach ($frm_ids as $mat) {

                        if (is_array($mat) and count($mat) > 0) {
                            foreach ($mat as $k => $v) {

                                foreach ($v as $key => $val) {
                                    $parts = explode("id=", $val);
                                    if ($parts > 0 && isset($parts[1])) {

                                        if (stripos(@$parts[1], ']') !== false) {
                                            $partsnew = explode("]", $parts[1]);
                                            $formids[] = $partsnew[0];
                                        } else if (stripos(@$parts[1], ' ') !== false) {

                                            $partsnew = explode(" ", $parts[1]);
                                            $formids[] = $partsnew[0];
                                        } else {
                                            
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            $newvalarr = array();
            if (isset($formids) and is_array($formids) && count($formids) > 0) {
                foreach ($formids as $newkey => $newval) {
                    $newval = str_replace('"', '', $newval);
                    $newval = str_replace("'", "", $newval);
                    if (stripos($newval, ' ') !== false) {
                        $partsnew = explode(" ", $newval);
                        $newvalarr[] = $partsnew[0];
                    } else
                        $newvalarr[] = $newval;
                }
            }

            if (isset($newvalarr) && !empty($newvalarr)) {
                $ars_common_js_css = true;
                $ars_share_js_css = true;
            }
        }




        //ARSocial_Lite_Like 
        $parts = @explode("[ARSocial_Lite_Like", $post_content);
        if (is_array($parts) && key_exists(1, $parts)) {
            $myidpart = @explode("id=", $parts[1]);
            if (isset($myidpart) && key_exists(1, $myidpart)) {
                $myid = @explode("]", $myidpart[1]);
            }
        }

        if (!is_admin()) {
            global $wp_query;
            $posts = $wp_query->posts;
            $pattern = '\[(\[?)(ARSocial_Lite_Like)(?![\w-])([^\]\/]*(?:\/(?!\])[^\]\/]*)*?)(?:(\/)\]|\](?:([^\[]*+(?:\[(?!\/\2\])[^\[]*+)*+)\[\/\2\])?)(\]?)';
            $frm_ids = array();
            if (is_array($posts)) {
                foreach ($posts as $post) {
                    if (preg_match_all('/' . $pattern . '/s', $post->post_content, $matches) && array_key_exists(2, $matches) && (in_array('ARSocial_Lite_Like', $matches[2]))) {
                        $frm_ids[] = $matches;
                        //break;	
                    }
                }
                $formids = array();
                if (is_array($frm_ids) && count($frm_ids) > 0) {

                    foreach ($frm_ids as $mat) {

                        if (is_array($mat) and count($mat) > 0) {
                            foreach ($mat as $k => $v) {

                                foreach ($v as $key => $val) {
                                    $parts = explode("id=", $val);
                                    if ($parts > 0 && isset($parts[1])) {

                                        if (stripos(@$parts[1], ']') !== false) {
                                            $partsnew = explode("]", $parts[1]);
                                            $formids[] = $partsnew[0];
                                        } else if (stripos(@$parts[1], ' ') !== false) {

                                            $partsnew = explode(" ", $parts[1]);
                                            $formids[] = $partsnew[0];
                                        } else {
                                            
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            $newvalarr = array();
            if (isset($formids) and is_array($formids) && count($formids) > 0) {
                foreach ($formids as $newkey => $newval) {
                    $newval = str_replace('"', '', $newval);
                    $newval = str_replace("'", "", $newval);
                    if (stripos($newval, ' ') !== false) {
                        $partsnew = explode(" ", $newval);
                        $newvalarr[] = $partsnew[0];
                    } else
                        $newvalarr[] = $newval;
                }
            }

            if (isset($newvalarr) && !empty($newvalarr)) {
                $ars_common_js_css = true;
                $ars_like_js_css = true;
            }
        }

        //ARSocial_Lite_Fan 
        $parts = @explode("[ARSocial_Lite_Fan", $post_content);
        if (is_array($parts) && key_exists(1, $parts)) {
            $myidpart = @explode("id=", $parts[1]);
            if (isset($myidpart) && key_exists(1, $myidpart)) {
                $myid = @explode("]", $myidpart[1]);
            }
        }

        if (!is_admin()) {
            global $wp_query;
            $posts = $wp_query->posts;
            $pattern = '\[(\[?)(ARSocial_Lite_Fan)(?![\w-])([^\]\/]*(?:\/(?!\])[^\]\/]*)*?)(?:(\/)\]|\](?:([^\[]*+(?:\[(?!\/\2\])[^\[]*+)*+)\[\/\2\])?)(\]?)';
            $frm_ids = array();
            if (is_array($posts)) {
                foreach ($posts as $post) {
                    if (preg_match_all('/' . $pattern . '/s', $post->post_content, $matches) && array_key_exists(2, $matches) && (in_array('ARSocial_Lite_Fan', $matches[2]) )) {
                        $frm_ids[] = $matches;
                    }
                }
                $formids = array();
                if (is_array($frm_ids) && count($frm_ids) > 0) {

                    foreach ($frm_ids as $mat) {

                        if (is_array($mat) and count($mat) > 0) {
                            foreach ($mat as $k => $v) {

                                foreach ($v as $key => $val) {
                                    $parts = explode("id=", $val);
                                    if ($parts > 0 && isset($parts[1])) {

                                        if (stripos(@$parts[1], ']') !== false) {
                                            $partsnew = explode("]", $parts[1]);
                                            $formids[] = $partsnew[0];
                                        } else if (stripos(@$parts[1], ' ') !== false) {

                                            $partsnew = explode(" ", $parts[1]);
                                            $formids[] = $partsnew[0];
                                        } else {
                                            
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            $newvalarr = array();
            if (isset($formids) and is_array($formids) && count($formids) > 0) {
                foreach ($formids as $newkey => $newval) {
                    $newval = str_replace('"', '', $newval);
                    $newval = str_replace("'", "", $newval);
                    if (stripos($newval, ' ') !== false) {
                        $partsnew = explode(" ", $newval);
                        $newvalarr[] = $partsnew[0];
                    } else
                        $newvalarr[] = $newval;
                }
            }
            if (isset($newvalarr) && !empty($newvalarr)) {
                $ars_common_js_css = true;
                $ars_fan_js_css = true;
            }
        }



        //ARSocial_Lite_Locker  
        $parts = @explode("[ARSocial_Lite_Locker", $post_content);
        if (is_array($parts) && key_exists(1, $parts)) {
            $myidpart = @explode("id=", $parts[1]);
            if (isset($myidpart) && key_exists(1, $myidpart)) {
                $myid = @explode("]", $myidpart[1]);
            }
        }

        if (!is_admin()) {
            global $wp_query;
            $posts = $wp_query->posts;
            $pattern = '\[(\[?)(ARSocial_Lite_Locker)(?![\w-])([^\]\/]*(?:\/(?!\])[^\]\/]*)*?)(?:(\/)\]|\](?:([^\[]*+(?:\[(?!\/\2\])[^\[]*+)*+)\[\/\2\])?)(\]?)';
            $frm_ids = array();
            if (is_array($posts)) {
                foreach ($posts as $post) {
                    if (preg_match_all('/' . $pattern . '/s', $post->post_content, $matches) && array_key_exists(2, $matches) && (in_array('ARSocial_Lite_Locker', $matches[2]))) {
                        $frm_ids[] = $matches;
                        //break;	
                    }
                }
                $formids = array();
                if (is_array($frm_ids) && count($frm_ids) > 0) {

                    foreach ($frm_ids as $mat) {

                        if (is_array($mat) and count($mat) > 0) {
                            foreach ($mat as $k => $v) {

                                foreach ($v as $key => $val) {
                                    $parts = explode("id=", $val);
                                    if ($parts > 0 && isset($parts[1])) {

                                        if (stripos(@$parts[1], ']') !== false) {
                                            $partsnew = explode("]", $parts[1]);
                                            $formids[] = $partsnew[0];
                                        } else if (stripos(@$parts[1], ' ') !== false) {

                                            $partsnew = explode(" ", $parts[1]);
                                            $formids[] = $partsnew[0];
                                        } else {
                                            
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

            $newvalarr = array();
            if (isset($formids) and is_array($formids) && count($formids) > 0) {
                foreach ($formids as $newkey => $newval) {
                    $newval = str_replace('"', '', $newval);
                    $newval = str_replace("'", "", $newval);
                    if (stripos($newval, ' ') !== false) {
                        $partsnew = explode(" ", $newval);
                        $newvalarr[] = $partsnew[0];
                    } else
                        $newvalarr[] = $newval;
                }
            }


            if (isset($newvalarr) && !empty($newvalarr)) {
                $ars_common_js_css = true;

                $ars_locker_js_css = true;

                global $arsocial_lite_locker;
                $ua = $_SERVER['HTTP_USER_AGENT'];
                $browser = $arsocial_lite_locker->getBrowser($ua);
                if (in_array($browser['browser_name'], array('Internet Explorer', 'Apple Safari'))) {
                    wp_enqueue_script('ars-lite-locker-front-foggy-js');
                }
            }
        }

        if ($ars_common_js_css) {
            $this->ars_common_enqueue_js_css();
        }

        if ($ars_share_js_css) {
            wp_enqueue_script('ars-lite-share-front-js');
        }

        if ($ars_like_js_css) {
            wp_enqueue_script('ars-lite-like-front-js');
        }

        if ($ars_fan_js_css) {
            wp_enqueue_script('ars-lite-fan-counter-js');
        }
        if ($ars_locker_js_css) {
            wp_enqueue_script('ars-lite-locker-front-js');
        }
    }

    function ARSocial_Lite_Front_Assets() {
        global $post, $arsocial_lite_locker;
        global $post;
        $ars_common_js_css = false;
        $options = get_option('arslite_global_settings');
        $gs_options = maybe_unserialize($options);
        $share_assets = isset($gs_options['global_share_assets']) ? $gs_options['global_share_assets'] : 0;
        $like_assets = isset($gs_options['global_like_assets']) ? $gs_options['global_like_assets'] : 0;
        $fan_assets = isset($gs_options['global_fan_assets']) ? $gs_options['global_fan_assets'] : 0;

        $locker_assets = isset($gs_options['global_locker_assets']) ? $gs_options['global_locker_assets'] : 0;
        if ($share_assets == '1') {
            $ars_common_js_css = true;
            wp_enqueue_script('ars-lite-share-front-js');

            wp_enqueue_style('arsocial_lite_theme-default');
            wp_enqueue_style('arsocial_lite_theme-rounded');
            wp_enqueue_style('arsocial_lite_theme-bordered');
            wp_enqueue_style('arsocial_lite_theme-flat_rounded');
            wp_enqueue_style('arsocial_lite_theme-blank_round');
            wp_enqueue_style('arsocial_lite_theme-square');
            wp_enqueue_style('arsocial_lite_theme-rolling');
        }
        if ($like_assets == '1') {
            $ars_common_js_css = true;
            wp_enqueue_script('ars-lite-like-front-js');
        }
        if ($fan_assets == '1') {
            $ars_common_js_css = true;
            wp_enqueue_script('ars-lite-fan-counter-js');
        }
        if ($locker_assets == '1') {
            $ars_common_js_css = true;
            wp_enqueue_script('ars-lite-locker-front-js');
            $ua = $_SERVER['HTTP_USER_AGENT'];
            $browser = $arsocial_lite_locker->getBrowser($ua);
            if (in_array($browser['browser_name'], array('Internet Explorer', 'Apple Safari'))) {
                wp_enqueue_script('ars-lite-locker-front-foggy-js');
            }
        }
        if ($ars_common_js_css) {
            $this->ars_common_enqueue_js_css();
        }
    }

    function ars_common_enqueue_js_css() {
        wp_enqueue_script('arsocial_lite_angular_script');
        wp_enqueue_script('ars-lite-common-front-js');

        wp_enqueue_script('arsocial_lite_bpopup_script');

        wp_enqueue_style('arsocial_lite_front_css');
        wp_enqueue_style('arsocial_lite_effects_css');
        wp_enqueue_style('arsocial_lite_socicon_css');
    }

    /**
     * Wordpress Special Pages Lists for Social Networks Display Settings
     * 
     * @since v1.0
     */
    function arsocialshare_wp_special_pages() {
        $special_pages = apply_filters('arsocial_lite_wp_special_page', array(
            'archive' => array(
                'name' => 'Archive',
                'enable' => true,
                'pattern' => 'archive'
            ),
            'search_result' => array(
                'name' => 'Search Result',
                'enable' => true,
                'pattern' => 'search-result'
            ),
            '404' => array(
                'name' => '404',
                'enable' => true,
                'pattern' => '404'
            ),
            'category' => array(
                'name' => 'Category',
                'enable' => true,
                'pattern' => 'category'
            ),
            'author' => array(
                'name' => 'Author',
                'enable' => true,
                'pattern' => 'author'
            ),
            'attachment' => array(
                'name' => 'Attachment',
                'enable' => true,
                'pattern' => 'attachment'
            ),
            'taxonomy' => array(
                'name' => 'Taxonomy',
                'enable' => true,
                'pattern' => 'taxonomy'
            )
        ));

        return $special_pages;
    }

    /**
     * 
     * Function of lists of custom posts type which are excluded from display settings.
     * 
     * @since v1.0
     */
    function arsocial_lite_exclude_cpt_ds() {
        $excluded_cpt = apply_filters('arsocial_lite_exclude_cpt_ds', array(
            'product'
        ));

        return $excluded_cpt;
    }

    function arsocial_lite_set_schedule_interval() {
        $intervals['minute'] = array(
            'interval' => 60,
            'display' => 'Once Minute'
        );
        return $intervals;
    }

    function arsocial_lite_set_schedule() {
        $timestamp = wp_next_scheduled('arsocial_lite_load_cache');
        if ($timestamp == false) {
            wp_schedule_event(time(), 'minute', 'arsocial_lite_load_cache');
        }
    }

    function arsocial_lite_load_cache() {
        global $arsocial_lite_fan;
        update_option('wp_arslite_time', time());
        $arsocial_lite_fan->ARSocialShareLoadLiveData();
    }

    /**
     * Function of lists network which have api for url share counter
     * @since v1.0
     */
    function ars_lite_share_networklist_sharecounter() {
        $ars_lite_share_networklist_sharecounter = apply_filters('ars_lite_share_networklist_sharecounter', array(
            'facebook',
            'googleplus',
            'linkedin',
            'stumbleupon',
            'reddit',
            'buffer',
            'pocket',
            'xing',
            'odnoklassniki',
            'meneame',
            'vk',
            'viadeo',
        ));

        return $ars_lite_share_networklist_sharecounter;
    }

    /**
     * ARSocialShare Default Settings
     * 
     * @since v1.0
     */
    function arsocialshare_default_settings() {
        $default_options = apply_filters('arsocial_lite_share_default_settings', array(
            'socialshare' => array(
                'network_order' => array(
                    'facebook', 'twitter', 'linkedin', 'googleplus', 'pinterest', 'tumblr', 'buffer', 'delicious', 'digg', 'amazon', 'flipboard', 'vk', 'citeulike', 'box', 'evernote', 'blogger', 'pocket', 'meneame', 'stumbleupon', 'hackernews', 'yummly', 'xing', 'myspace', 'aol', 'reddit', 'odnoklassniki', 'viadeo', 'email', 'yahoo', 'gmail', 'whatsapp', 'arsprint'
                ),
                'styling_options' => array(
                    'skin' => 'default',
                    'button_style' => 'name_with_icon',
                    'hover_effect' => 'effect1',
                    'remove_space' => 'no',
                    'button_width' => 'automatic',
                    'more_button_after' => '5',
                    'more_button_style' => 'plus_icon',
                    'more_button_action' => 'display_popup',
                    'show_counter' => 'yes',
                )
            )
        ));
        return $default_options;
    }

    function ars_get_enable_networks() {
        $global_settings = get_option('arslite_global_settings', array());
        $global_settings = maybe_unserialize($global_settings);
        $enableNetworks = array();
        if (isset($global_settings['facebook']['app_id']) && !empty($global_settings['facebook']['app_id'])) {
            $enableNetworks['facebook'] = 'facebook';
        }

        if (isset($global_settings['linkedin']['linkedin_api_key']) && !empty($global_settings['linkedin']['linkedin_api_key'])) {
            $enableNetworks['linkedin'] = 'linkedin';
        }
        if (isset($global_settings['google'])) {
            $google_client_id = (isset($global_settings['google']['google_client_id']) && !empty($global_settings['google']['google_client_id'])) ? true : false;
            $google_api_key = (isset($global_settings['google']['google_api_key']) && !empty($global_settings['google']['google_api_key'])) ? true : false;
            if ($google_client_id && $google_api_key) {
                $enableNetworks['google'] = 'google';
            }
        }
        if (isset($global_settings['twitter'])) {
            $twitter_api_key = (isset($global_settings['twitter']['twitter_api_key']) && !empty($global_settings['twitter']['twitter_api_key'])) ? true : false;
            $twitter_api_secret = (isset($global_settings['twitter']['twitter_api_secret']) && !empty($global_settings['twitter']['twitter_api_secret'])) ? true : false;
            $twitter_access_token = (isset($global_settings['twitter']['twitter_access_token']) && !empty($global_settings['twitter']['twitter_access_token'])) ? true : false;
            $twitter_access_token_secret = (isset($global_settings['twitter']['twitter_access_token_secret']) && !empty($global_settings['twitter']['twitter_access_token_secret'])) ? true : false;
            if ($twitter_api_key && $twitter_api_secret && $twitter_access_token && $twitter_access_token_secret) {
                $enableNetworks['twitter'] = 'twitter';
            }
        }
        return $enableNetworks;
    }

    /**
     * For Global Fonts
     */
    function ars_get_enqueue_fonts($type = '') {
        global $ars_lite_googlefontbaseurl;
        $arsCustomCss = "";
        if (!empty($type)) {
            $arsFonts = $this->ars_get_fonts();
            $options = get_option('arslite_global_settings');
            $gs_options = maybe_unserialize($options);
            $share_fonts = isset($gs_options['share_fonts']) ? $gs_options['share_fonts'] : 'Helvetica';
            $like_fonts = isset($gs_options['like_fonts']) ? $gs_options['like_fonts'] : 'Helvetica';
            $fan_fonts = isset($gs_options['fan_fonts']) ? $gs_options['fan_fonts'] : 'Helvetica';
            $locker_fonts = isset($gs_options['locker_fonts']) ? $gs_options['locker_fonts'] : 'Helvetica';
            $googleFonts = array();
            if (isset($arsFonts['google']['fonts']) && !empty($arsFonts['google']['fonts'])) {
                switch ($type) {
                    case 'share':
                        if (in_array($share_fonts, $arsFonts['google']['fonts'])) {

                            $arsCustomCss .= '<link rel="stylesheet" type="text/css" href="' . $ars_lite_googlefontbaseurl . str_replace(' ', '+', $share_fonts) . '" />';
                            $arsCustomCss .= "<style>.arsocial_lite_buttons_container, .arsocialshare_buttons_wrapper{font-family: '{$share_fonts}' !important;}</style>";
                        }
                        break;
                    case 'like':
                        if (in_array($like_fonts, $arsFonts['google']['fonts'])) {

                            $arsCustomCss .= '<link rel="stylesheet" type="text/css" href="' . $ars_lite_googlefontbaseurl . str_replace(' ', '+', $like_fonts) . '" />';
                            $arsCustomCss .= "<style>.arsocial_lite_like_button_wrapper, .arsocial_lite_like_popup_wrapper, .arsociallike_fly_in_wrapper{font-family: '{$like_fonts}' !important;}</style>";
                        }
                        break;
                    case 'fan':
                        if (in_array($fan_fonts, $arsFonts['google']['fonts'])) {

                            $arsCustomCss .= '<link rel="stylesheet" type="text/css" href="' . $ars_lite_googlefontbaseurl . str_replace(' ', '+', $fan_fonts) . '" />';
                            $arsCustomCss .= "<style>.ars_lite_fan_main_wrapper{font-family: '{$fan_fonts}' !important;}</style>";
                        }
                        break;
                    case 'locker':
                        if (in_array($locker_fonts, $arsFonts['google']['fonts'])) {

                            $arsCustomCss .= '<link rel="stylesheet" type="text/css" href="' . $ars_lite_googlefontbaseurl . str_replace(' ', '+', $locker_fonts) . '" />';
                            $arsCustomCss .= "<style>.arsocial_lite_locker_popup, .arsociallocker_popup{font-family: '{$locker_fonts}' !important;}</style>";
                        }
                        break;
                    default:
                        break;
                }
            }
        }
        return $arsCustomCss;
    }

    function ars_get_fonts() {
        global $ars_lite_googlefontbaseurl;
        $googleFonts = array("ABeeZee", "Abel", "Abril Fatface", "Aclonica", "Acme", "Actor", "Adamina", "Advent Pro", "Aguafina Script", "Akronim", "Aladin", "Aldrich", "Alef", "Alegreya", "Alegreya SC", "Alegreya Sans", "Alegreya Sans SC", "Alex Brush", "Alfa Slab One", "Alice", "Alike", "Alike Angular", "Allan", "Allerta", "Allerta Stencil", "Allura", "Almendra", "Almendra Display", "Almendra SC", "Amarante", "Amaranth", "Amatic SC", "Amethysta", "Amiri", "Amita", "Anaheim", "Andada", "Andika", "Angkor", "Annie Use Your Telescope", "Anonymous Pro", "Antic", "Antic Didone", "Antic Slab", "Anton", "Arapey", "Arbutus", "Arbutus Slab", "Architects Daughter", "Archivo Black", "Archivo Narrow", "Arimo", "Arizonia", "Armata", "Artifika", "Arvo", "Arya", "Asap", "Asar", "Asset", "Astloch", "Asul", "Atomic Age", "Aubrey", "Audiowide", "Autour One", "Average", "Average Sans", "Averia Gruesa Libre", "Averia Libre", "Averia Sans Libre", "Averia Serif Libre", "Bad Script", "Balthazar", "Bangers", "Basic", "Battambang", "Baumans", "Bayon", "Belgrano", "Belleza", "BenchNine", "Bentham", "Berkshire Swash", "Bevan", "Bigelow Rules", "Bigshot One", "Bilbo", "Bilbo Swash Caps", "Biryani", "Bitter", "Black Ops One", "Bokor", "Bonbon", "Boogaloo", "Bowlby One", "Bowlby One SC", "Brawler", "Bree Serif", "Bubblegum Sans", "Bubbler One", "Buda", "Buenard", "Butcherman", "Butterfly Kids", "Cabin", "Cabin Condensed", "Cabin Sketch", "Caesar Dressing", "Cagliostro", "Calligraffitti", "Cambay", "Cambo", "Candal", "Cantarell", "Cantata One", "Cantora One", "Capriola", "Cardo", "Carme", "Carrois Gothic", "Carrois Gothic SC", "Carter One", "Catamaran", "Caudex", "Caveat", "Caveat Brush", "Cedarville Cursive", "Ceviche One", "Changa One", "Chango", "Chau Philomene One", "Chela One", "Chelsea Market", "Chenla", "Cherry Cream Soda", "Cherry Swash", "Chewy", "Chicle", "Chivo", "Chonburi", "Cinzel", "Cinzel Decorative", "Clicker Script", "Coda", "Coda Caption", "Codystar", "Combo", "Comfortaa", "Coming Soon", "Concert One", "Condiment", "Content", "Contrail One", "Convergence", "Cookie", "Copse", "Corben", "Courgette", "Cousine", "Coustard", "Covered By Your Grace", "Crafty Girls", "Creepster", "Crete Round", "Crimson Text", "Croissant One", "Crushed", "Cuprum", "Cutive", "Cutive Mono", "Damion", "Dancing Script", "Dangrek", "Dawning of a New Day", "Days One", "Dekko", "Delius", "Delius Swash Caps", "Delius Unicase", "Della Respira", "Denk One", "Devonshire", "Dhurjati", "Didact Gothic", "Diplomata", "Diplomata SC", "Domine", "Donegal One", "Doppio One", "Dorsa", "Dosis", "Dr Sugiyama", "Droid Sans", "Droid Sans Mono", "Droid Serif", "Duru Sans", "Dynalight", "EB Garamond", "Eagle Lake", "Eater", "Economica", "Eczar", "Ek Mukta", "Electrolize", "Elsie", "Elsie Swash Caps", "Emblema One", "Emilys Candy", "Engagement", "Englebert", "Enriqueta", "Erica One", "Esteban", "Euphoria Script", "Ewert", "Exo", "Exo 2", "Expletus Sans", "Fanwood Text", "Fascinate", "Fascinate Inline", "Faster One", "Fasthand", "Fauna One", "Federant", "Federo", "Felipa", "Fenix", "Finger Paint", "Fira Mono", "Fira Sans", "Fjalla One", "Fjord One", "Flamenco", "Flavors", "Fondamento", "Fontdiner Swanky", "Forum", "Francois One", "Freckle Face", "Fredericka the Great", "Fredoka One", "Freehand", "Fresca", "Frijole", "Fruktur", "Fugaz One", "GFS Didot", "GFS Neohellenic", "Gabriela", "Gafata", "Galdeano", "Galindo", "Gentium Basic", "Gentium Book Basic", "Geo", "Geostar", "Geostar Fill", "Germania One", "Gidugu", "Gilda Display", "Give You Glory", "Glass Antiqua", "Glegoo", "Gloria Hallelujah", "Goblin One", "Gochi Hand", "Gorditas", "Goudy Bookletter 1911", "Graduate", "Grand Hotel", "Gravitas One", "Great Vibes", "Griffy", "Gruppo", "Gudea", "Gurajada", "Habibi", "Halant", "Hammersmith One", "Hanalei", "Hanalei Fill", "Handlee", "Hanuman", "Happy Monkey", "Headland One", "Henny Penny", "Herr Von Muellerhoff", "Hind", "Hind Siliguri", "Hind Vadodara", "Holtwood One SC", "Homemade Apple", "Homenaje", "IM Fell DW Pica", "IM Fell DW Pica SC", "IM Fell Double Pica", "IM Fell Double Pica
 SC", "IM Fell English", "IM Fell English SC", "IM Fell French Canon", "IM Fell French Canon SC", "IM Fell Great Primer", "IM Fell Great Primer SC", "Iceberg", "Iceland", "Imprima", "Inconsolata", "Inder", "Indie Flower", "Inika", "Inknut Antiqua", "Irish Grover", "Istok Web", "Italiana", "Italianno", "Itim", "Jacques Francois", "Jacques Francois Shadow", "Jaldi", "Jim Nightshade", "Jockey One", "Jolly Lodger", "Josefin Sans", "Josefin Slab", "Joti One", "Judson", "Julee", "Julius Sans One", "Junge", "Jura", "Just Another Hand", "Just Me Again Down Here", "Kadwa", "Kalam", "Kameron", "Kantumruy", "Karla", "Karma", "Kaushan Script", "Kavoon", "Kdam Thmor", "Keania One", "Kelly Slab", "Kenia", "Khand", "Khmer", "Khula", "Kite One", "Knewave", "Kotta One", "Koulen", "Kranky", "Kreon", "Kristi", "Krona One", "Kurale", "La Belle Aurore", "Laila", "Lakki Reddy", "Lancelot", "Lateef", "Lato", "League Script", "Leckerli One", "Ledger", "Lekton", "Lemon", "Libre Baskerville", "Life Savers", "Lilita One", "Lily Script One", "Limelight", "Linden Hill", "Lobster", "Lobster Two", "Londrina Outline", "Londrina Shadow", "Londrina Sketch", "Londrina Solid", "Lora", "Love Ya Like A Sister", "Loved by the King", "Lovers Quarrel", "Luckiest Guy", "Lusitana", "Lustria", "Macondo", "Macondo Swash Caps", "Magra", "Maiden Orange", "Mako", "Mallanna", "Mandali", "Marcellus", "Marcellus SC", "Marck Script", "Margarine", "Marko One", "Marmelad", "Martel", "Martel Sans", "Marvel", "Mate", "Mate SC", "Maven Pro", "McLaren", "Meddon", "MedievalSharp", "Medula One", "Megrim", "Meie Script", "Merienda", "Merienda One", "Merriweather", "Merriweather Sans", "Metal", "Metal Mania", "Metamorphous", "Metrophobic", "Michroma", "Milonga", "Miltonian", "Miltonian Tattoo", "Miniver", "Miss Fajardose", "Modak", "Modern Antiqua", "Molengo", "Molle", "Monda", "Monofett", "Monoton", "Monsieur La Doulaise", "Montaga", "Montez", "Montserrat", "Montserrat Alternates", "Montserrat Subrayada", "Moul", "Moulpali", "Mountains of Christmas", "Mouse Memoirs", "Mr Bedfort", "Mr Dafoe", "Mr De Haviland", "Mrs Saint Delafield", "Mrs Sheppards", "Muli", "Mystery Quest", "NTR", "Neucha", "Neuton", "New Rocker", "News Cycle", "Niconne", "Nixie One", "Nobile", "Nokora", "Norican", "Nosifer", "Nothing You Could Do", "Noticia Text", "Noto Sans", "Noto Serif", "Nova Cut", "Nova Flat", "Nova Mono", "Nova Oval", "Nova Round", "Nova Script", "Nova Slim", "Nova Square", "Numans", "Nunito", "Odor Mean Chey", "Offside", "Old Standard TT", "Oldenburg", "Oleo Script", "Oleo Script Swash Caps", "Open Sans", "Open Sans Condensed", "Oranienbaum", "Orbitron", "Oregano", "Orienta", "Original Surfer", "Oswald", "Over the Rainbow", "Overlock", "Overlock SC", "Ovo", "Oxygen", "Oxygen Mono", "PT Mono", "PT Sans", "PT Sans Caption", "PT Sans Narrow", "PT Serif", "PT Serif Caption", "Pacifico", "Palanquin", "Palanquin Dark", "Paprika", "Parisienne", "Passero One", "Passion One", "Pathway Gothic One", "Patrick Hand", "Patrick Hand SC", "Patua One", "Paytone One", "Peddana", "Peralta", "Permanent Marker", "Petit Formal Script", "Petrona", "Philosopher", "Piedra", "Pinyon Script", "Pirata One", "Plaster", "Play", "Playball", "Playfair Display", "Playfair Display SC", "Podkova", "Poiret One", "Poller One", "Poly", "Pompiere", "Pontano Sans", "Poppins", "Port Lligat Sans", "Port Lligat Slab", "Pragati Narrow", "Prata", "Preahvihear", "Press Start 2P", "Princess Sofia", "Prociono", "Prosto One", "Puritan", "Purple Purse", "Quando", "Quantico", "Quattrocento", "Quattrocento Sans", "Questrial", "Quicksand", "Quintessential", "Qwigley", "Racing Sans One", "Radley", "Rajdhani", "Raleway", "Raleway Dots", "Ramabhadra", "Ramaraja", "Rambla", "Rammetto One", "Ranchers", "Rancho", "Ranga", "Rationale", "Ravi Prakash", "Redressed", "Reenie Beanie", "Revalia", "Rhodium Libre", "Ribeye", "Ribeye Marrow", "Righteous", "Risque", "Roboto", "Roboto Condensed", "Roboto Mono", "Roboto Slab", "Rochester", "Rock Salt", "Rokkitt", "Romanesco", "Ropa Sans", "Rosario", "Rosarivo", "Rouge Script", "Rozha One", "Rubik", "Rubik Mon
o One", "Rubik One", "Ruda", "Rufina", "Ruge Boogie", "Ruluko", "Rum Raisin", "Ruslan Display", "Russo One", "Ruthie", "Rye", "Sacramento", "Sahitya", "Sail", "Salsa", "Sanchez", "Sancreek", "Sansita One", "Sarala", "Sarina", "Sarpanch", "Satisfy", "Scada", "Schoolbell", "Seaweed Script", "Sevillana", "Seymour One", "Shadows Into Light", "Shadows Into Light Two", "Shanti", "Share", "Share Tech", "Share Tech Mono", "Shojumaru", "Short Stack", "Siemreap", "Sigmar One", "Signika", "Signika Negative", "Simonetta", "Sintony", "Sirin Stencil", "Six Caps", "Skranji", "Slabo 13px", "Slabo 27px", "Slackey", "Smokum", "Smythe", "Sniglet", "Snippet", "Snowburst One", "Sofadi One", "Sofia", "Sonsie One", "Sorts Mill Goudy", "Source Code Pro", "Source Sans Pro", "Source Serif Pro", "Special Elite", "Spicy Rice", "Spinnaker", "Spirax", "Squada One", "Sree Krushnadevaraya", "Stalemate", "Stalinist One", "Stardos Stencil", "Stint Ultra Condensed", "Stint Ultra Expanded", "Stoke", "Strait", "Sue Ellen Francisco", "Sumana", "Sunshiney", "Supermercado One", "Sura", "Suranna", "Suravaram", "Suwannaphum", "Swanky and Moo Moo", "Syncopate", "Tangerine", "Taprom", "Tauri", "Teko", "Telex", "Tenali Ramakrishna", "Tenor Sans", "Text Me One", "The Girl Next Door", "Tienne", "Tillana", "Timmana", "Tinos", "Titan One", "Titillium Web", "Trade Winds", "Trocchi", "Trochut", "Trykker", "Tulpen One", "Ubuntu", "Ubuntu Condensed", "Ubuntu Mono", "Ultra", "Uncial Antiqua", "Underdog", "Unica One", "UnifrakturCook", "UnifrakturMaguntia", "Unkempt", "Unlock", "Unna", "VT323", "Vampiro One", "Varela", "Varela Round", "Vast Shadow", "Vesper Libre", "Vibur", "Vidaloka", "Viga", "Voces", "Volkhov", "Vollkorn", "Voltaire", "Waiting for the Sunrise", "Wallpoet", "Walter Turncoat", "Warnes", "Wellfleet", "Wendy One", "Wire One", "Work Sans", "Yanone Kaffeesatz", "Yantramanav", "Yellowtail", "Yeseva One", "Yesteryear", "Zeyada"
        );

        $defaultFonts = array('Arial', 'Helvetica', 'sans-serif', 'Lucida Grande', 'Lucida Sans Unicode', 'Tahoma', 'Times New Roman', 'Courier New', 'Verdana', 'Geneva', 'Courier', 'Monospace', 'Times', 'Open Sans Semibold', 'Open Sans Bold');

        $fonts = array(
            'default' => array('label' => 'Default Fonts', 'fonts' => array()),
            'google' => array('label' => 'Google Fonts', 'fonts' => array()),
        );
        foreach ($defaultFonts as $font) {
            $fonts['default']['fonts'][$font] = $font;
        }
        foreach ($googleFonts as $font) {
            $fonts['google']['fonts'][$font] = $font;
        }
        return $fonts;
    }

    function ars_lite_footer_js_css() {
        global $ars_lite_has_total_counter, $arsocial_lite_version;

        wp_register_script('arsocial_lite_animate_number_js', ARSOCIAL_LITE_SCRIPT_URL . '/jquery.animateNumber.js', array(), $arsocial_lite_version);
        if ($ars_lite_has_total_counter) {
            wp_enqueue_script('arsocial_lite_animate_number_js');
        }
    }

}
?>